<?php
namespace App\Http\Controllers\System;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Http\Resources\System\CompanyResource;
use App\Models\System\Configuration;
use App\Http\Requests\System\CompanyRequest;




class CompanyController extends Controller
{
    public function create()
    {
        return view('tenant.companies.form');
    }

    public function tables()
    {
        $soap_sends = config('tables.system.soap_sends');
        $soap_types = SoapType::all();


        return compact('soap_types', 'soap_sends');
    }

    public function record()
    {
        $configuration = Configuration::first();
        $record = new CompanyResource($configuration);
        return $record;
    }

    public function store(CompanyRequest $request)
    {
       // $id = $request->input('id');
        $company = Configuration::first();
        $company->fill($request->all());
        $company->save();

        return [
            'success' => true,
            'message' => 'Empresa actualizada'
        ];
    }

    // public function uploadFile(Request $request)
    // {
    //     if ($request->hasFile('file')) {

    //         $company = Company::active();

    //         $type = $request->input('type');

    //         $file = $request->file('file');
    //         $ext = $file->getClientOriginalExtension();
    //         $name = $type.'_'.$company->number.'.'.$ext;


    //         if (($type === 'logo')) request()->validate(['file' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048']);

    //         $file->storeAs(($type === 'logo') ? 'public/uploads/logos' : 'certificates', $name);

    //         if (($type === 'logo_store')) request()->validate(['file' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048']);

    //         $file->storeAs(($type === 'logo_store') ? 'public/uploads/logos' : 'certificates', $name);


    //         $company->$type = $name;

    //         $company->save();

    //         return [
    //             'success' => true,
    //             'message' => __('app.actions.upload.success'),
    //             'name' => $name,
    //             'type' => $type
    //         ];
    //     }
    //     return [
    //         'success' => false,
    //         'message' =>  __('app.actions.upload.error'),
    //     ];
    // }
    
}
