<?php

namespace App\Http\Resources\Tenant;

use Illuminate\Http\Resources\Json\ResourceCollection;

class SeriesCollection extends ResourceCollection
{
    /**
     * Transform the resource collection into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return mixed
     */
    public function toArray($request)
    {
        return $this->collection->transform(function($row, $key) {
            return [
                'id' => $row->id,
                'document_type_description' => $row->document_type->description,
                'number' => $row->number,
                'contingency' => (bool) $row->contingency,
                'document_type_id' => $row->document_type_id,
            ];
        });
    }
}