<?php

use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class TenantLocationTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('countries', function (Blueprint $table) {
            $table->char('id', 2)->index();
            $table->string('description');
            $table->boolean('active')->default(true);
        });

        DB::table('countries')->insert([
            ['id' => 'AX', 'description' => 'AALAND ISLANDS'],
            ['id' => 'AF', 'description' => 'AFGHANISTAN'],
            ['id' => 'AL', 'description' => 'ALBANIA'],
            ['id' => 'DZ', 'description' => 'ALGERIA'],
            ['id' => 'AS', 'description' => 'AMERICAN SAMOA'],
            ['id' => 'AD', 'description' => 'ANDORRA'],
            ['id' => 'AO', 'description' => 'ANGOLA'],
            ['id' => 'AI', 'description' => 'ANGUILLA'],
            ['id' => 'AQ', 'description' => 'ANTARCTICA'],
            ['id' => 'AG', 'description' => 'ANTIGUA AND BARBUDA'],
            ['id' => 'AR', 'description' => 'ARGENTINA'],
            ['id' => 'AM', 'description' => 'ARMENIA'],
            ['id' => 'AW', 'description' => 'ARUBA'],
            ['id' => 'AU', 'description' => 'AUSTRALIA'],
            ['id' => 'AT', 'description' => 'AUSTRIA'],
            ['id' => 'AZ', 'description' => 'AZERBAIJAN'],
            ['id' => 'BS', 'description' => 'BAHAMAS'],
            ['id' => 'BH', 'description' => 'BAHRAIN'],
            ['id' => 'BD', 'description' => 'BANGLADESH'],
            ['id' => 'BB', 'description' => 'BARBADOS'],
            ['id' => 'BY', 'description' => 'BELARUS'],
            ['id' => 'BE', 'description' => 'BELGIUM'],
            ['id' => 'BZ', 'description' => 'BELIZE'],
            ['id' => 'BJ', 'description' => 'BENIN'],
            ['id' => 'BM', 'description' => 'BERMUDA'],
            ['id' => 'BT', 'description' => 'BHUTAN'],
            ['id' => 'BO', 'description' => 'BOLIVIA'],
            ['id' => 'BA', 'description' => 'BOSNIA AND HERZEGOWINA'],
            ['id' => 'BW', 'description' => 'BOTSWANA'],
            ['id' => 'BV', 'description' => 'BOUVET ISLAND'],
            ['id' => 'BR', 'description' => 'BRAZIL'],
            ['id' => 'IO', 'description' => 'BRITISH INDIAN OCEAN TERRITORY'],
            ['id' => 'BN', 'description' => 'BRUNEI DARUSSALAM'],
            ['id' => 'BG', 'description' => 'BULGARIA'],
            ['id' => 'BF', 'description' => 'BURKINA FASO'],
            ['id' => 'BI', 'description' => 'BURUNDI'],
            ['id' => 'KH', 'description' => 'CAMBODIA'],
            ['id' => 'CM', 'description' => 'CAMEROON'],
            ['id' => 'CA', 'description' => 'CANADA'],
            ['id' => 'CV', 'description' => 'CAPE VERDE'],
            ['id' => 'KY', 'description' => 'CAYMAN ISLANDS'],
            ['id' => 'CF', 'description' => 'CENTRAL AFRICAN REPUBLIC'],
            ['id' => 'TD', 'description' => 'CHAD'],
            ['id' => 'CL', 'description' => 'CHILE'],
            ['id' => 'CN', 'description' => 'CHINA'],
            ['id' => 'CX', 'description' => 'CHRISTMAS ISLAND'],
            ['id' => 'CC', 'description' => 'COCOS (KEELING) ISLANDS'],
            ['id' => 'CO', 'description' => 'COLOMBIA'],
            ['id' => 'KM', 'description' => 'COMOROS'],
            ['id' => 'CD', 'description' => 'CONGO, Democratic Republic of (was Zaire)'],
            ['id' => 'CG', 'description' => 'CONGO, Republic of'],
            ['id' => 'CK', 'description' => 'COOK ISLANDS'],
            ['id' => 'CR', 'description' => 'COSTA RICA'],
            ['id' => 'CI', 'description' => 'COTE D`IVOIRE'],
            ['id' => 'HR', 'description' => 'CROATIA (local name: Hrvatska)'],
            ['id' => 'CU', 'description' => 'CUBA'],
            ['id' => 'CY', 'description' => 'CYPRUS'],
            ['id' => 'CZ', 'description' => 'CZECH REPUBLIC'],
            ['id' => 'DK', 'description' => 'DENMARK'],
            ['id' => 'DJ', 'description' => 'DJIBOUTI'],
            ['id' => 'DM', 'description' => 'DOMINICA'],
            ['id' => 'DO', 'description' => 'DOMINICAN REPUBLIC'],
            ['id' => 'EC', 'description' => 'ECUADOR'],
            ['id' => 'EG', 'description' => 'EGYPT'],
            ['id' => 'SV', 'description' => 'EL SALVADOR'],
            ['id' => 'GQ', 'description' => 'EQUATORIAL GUINEA'],
            ['id' => 'ER', 'description' => 'ERITREA'],
            ['id' => 'EE', 'description' => 'ESTONIA'],
            ['id' => 'ET', 'description' => 'ETHIOPIA'],
            ['id' => 'FK', 'description' => 'FALKLAND ISLANDS (MALVINAS)'],
            ['id' => 'FO', 'description' => 'FAROE ISLANDS'],
            ['id' => 'FJ', 'description' => 'FIJI'],
            ['id' => 'FI', 'description' => 'FINLAND'],
            ['id' => 'FR', 'description' => 'FRANCE'],
            ['id' => 'GF', 'description' => 'FRENCH GUIANA'],
            ['id' => 'PF', 'description' => 'FRENCH POLYNESIA'],
            ['id' => 'TF', 'description' => 'FRENCH SOUTHERN TERRITORIES'],
            ['id' => 'GA', 'description' => 'GABON'],
            ['id' => 'GM', 'description' => 'GAMBIA'],
            ['id' => 'GE', 'description' => 'GEORGIA'],
            ['id' => 'DE', 'description' => 'GERMANY'],
            ['id' => 'GH', 'description' => 'GHANA'],
            ['id' => 'GI', 'description' => 'GIBRALTAR'],
            ['id' => 'GR', 'description' => 'GREECE'],
            ['id' => 'GL', 'description' => 'GREENLAND'],
            ['id' => 'GD', 'description' => 'GRENADA'],
            ['id' => 'GP', 'description' => 'GUADELOUPE'],
            ['id' => 'GU', 'description' => 'GUAM'],
            ['id' => 'GT', 'description' => 'GUATEMALA'],
            ['id' => 'GN', 'description' => 'GUINEA'],
            ['id' => 'GW', 'description' => 'GUINEA-BISSAU'],
            ['id' => 'GY', 'description' => 'GUYANA'],
            ['id' => 'HT', 'description' => 'HAITI'],
            ['id' => 'HM', 'description' => 'HEARD AND MC DONALD ISLANDS'],
            ['id' => 'HN', 'description' => 'HONDURAS'],
            ['id' => 'HK', 'description' => 'HONG KONG'],
            ['id' => 'HU', 'description' => 'HUNGARY'],
            ['id' => 'IS', 'description' => 'ICELAND'],
            ['id' => 'IN', 'description' => 'INDIA'],
            ['id' => 'ID', 'description' => 'INDONESIA'],
            ['id' => 'IR', 'description' => 'IRAN (ISLAMIC REPUBLIC OF)'],
            ['id' => 'IQ', 'description' => 'IRAQ'],
            ['id' => 'IE', 'description' => 'IRELAND'],
            ['id' => 'IL', 'description' => 'ISRAEL'],
            ['id' => 'IT', 'description' => 'ITALY'],
            ['id' => 'JM', 'description' => 'JAMAICA'],
            ['id' => 'JP', 'description' => 'JAPAN'],
            ['id' => 'JO', 'description' => 'JORDAN'],
            ['id' => 'KZ', 'description' => 'KAZAKHSTAN'],
            ['id' => 'KE', 'description' => 'KENYA'],
            ['id' => 'KI', 'description' => 'KIRIBATI'],
            ['id' => 'KP', 'description' => 'KOREA, DEMOCRATIC PEOPLE`S REPUBLIC OF'],
            ['id' => 'KR', 'description' => 'KOREA, REPUBLIC OF'],
            ['id' => 'KW', 'description' => 'KUWAIT'],
            ['id' => 'KG', 'description' => 'KYRGYZSTAN'],
            ['id' => 'LA', 'description' => 'LAO PEOPLE`S DEMOCRATIC REPUBLIC'],
            ['id' => 'LV', 'description' => 'LATVIA'],
            ['id' => 'LB', 'description' => 'LEBANON'],
            ['id' => 'LS', 'description' => 'LESOTHO'],
            ['id' => 'LR', 'description' => 'LIBERIA'],
            ['id' => 'LY', 'description' => 'LIBYAN ARAB JAMAHIRIYA'],
            ['id' => 'LI', 'description' => 'LIECHTENSTEIN'],
            ['id' => 'LT', 'description' => 'LITHUANIA'],
            ['id' => 'LU', 'description' => 'LUXEMBOURG'],
            ['id' => 'MO', 'description' => 'MACAU'],
            ['id' => 'MK', 'description' => 'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF'],
            ['id' => 'MG', 'description' => 'MADAGASCAR'],
            ['id' => 'MW', 'description' => 'MALAWI'],
            ['id' => 'MY', 'description' => 'MALAYSIA'],
            ['id' => 'MV', 'description' => 'MALDIVES'],
            ['id' => 'ML', 'description' => 'MALI'],
            ['id' => 'MT', 'description' => 'MALTA'],
            ['id' => 'MH', 'description' => 'MARSHALL ISLANDS'],
            ['id' => 'MQ', 'description' => 'MARTINIQUE'],
            ['id' => 'MR', 'description' => 'MAURITANIA'],
            ['id' => 'MU', 'description' => 'MAURITIUS'],
            ['id' => 'YT', 'description' => 'MAYOTTE'],
            ['id' => 'MX', 'description' => 'MEXICO'],
            ['id' => 'FM', 'description' => 'MICRONESIA, FEDERATED STATES OF'],
            ['id' => 'MD', 'description' => 'MOLDOVA, REPUBLIC OF'],
            ['id' => 'MC', 'description' => 'MONACO'],
            ['id' => 'MN', 'description' => 'MONGOLIA'],
            ['id' => 'MS', 'description' => 'MONTSERRAT'],
            ['id' => 'MA', 'description' => 'MOROCCO'],
            ['id' => 'MZ', 'description' => 'MOZAMBIQUE'],
            ['id' => 'MM', 'description' => 'MYANMAR'],
            ['id' => 'NA', 'description' => 'NAMIBIA'],
            ['id' => 'NR', 'description' => 'NAURU'],
            ['id' => 'NP', 'description' => 'NEPAL'],
            ['id' => 'NL', 'description' => 'NETHERLANDS'],
            ['id' => 'AN', 'description' => 'NETHERLANDS ANTILLES'],
            ['id' => 'NC', 'description' => 'NEW CALEDONIA'],
            ['id' => 'NZ', 'description' => 'NEW ZEALAND'],
            ['id' => 'NI', 'description' => 'NICARAGUA'],
            ['id' => 'NE', 'description' => 'NIGER'],
            ['id' => 'NG', 'description' => 'NIGERIA'],
            ['id' => 'NU', 'description' => 'NIUE'],
            ['id' => 'NF', 'description' => 'NORFOLK ISLAND'],
            ['id' => 'MP', 'description' => 'NORTHERN MARIANA ISLANDS'],
            ['id' => 'NO', 'description' => 'NORWAY'],
            ['id' => 'OM', 'description' => 'OMAN'],
            ['id' => 'PK', 'description' => 'PAKISTAN'],
            ['id' => 'PW', 'description' => 'PALAU'],
            ['id' => 'PS', 'description' => 'PALESTINIAN TERRITORY, Occupied'],
            ['id' => 'PA', 'description' => 'PANAMA'],
            ['id' => 'PG', 'description' => 'PAPUA NEW GUINEA'],
            ['id' => 'PY', 'description' => 'PARAGUAY'],
            ['id' => 'PE', 'description' => 'PERU'],
            ['id' => 'PH', 'description' => 'PHILIPPINES'],
            ['id' => 'PN', 'description' => 'PITCAIRN'],
            ['id' => 'PL', 'description' => 'POLAND'],
            ['id' => 'PT', 'description' => 'PORTUGAL'],
            ['id' => 'PR', 'description' => 'PUERTO RICO'],
            ['id' => 'QA', 'description' => 'QATAR'],
            ['id' => 'RE', 'description' => 'REUNION'],
            ['id' => 'RO', 'description' => 'ROMANIA'],
            ['id' => 'RU', 'description' => 'RUSSIAN FEDERATION'],
            ['id' => 'RW', 'description' => 'RWANDA'],
            ['id' => 'SH', 'description' => 'SAINT HELENA'],
            ['id' => 'KN', 'description' => 'SAINT KITTS AND NEVIS'],
            ['id' => 'LC', 'description' => 'SAINT LUCIA'],
            ['id' => 'PM', 'description' => 'SAINT PIERRE AND MIQUELON'],
            ['id' => 'VC', 'description' => 'SAINT VINCENT AND THE GRENADINES'],
            ['id' => 'WS', 'description' => 'SAMOA'],
            ['id' => 'SM', 'description' => 'SAN MARINO'],
            ['id' => 'ST', 'description' => 'SAO TOME AND PRINCIPE'],
            ['id' => 'SA', 'description' => 'SAUDI ARABIA'],
            ['id' => 'SN', 'description' => 'SENEGAL'],
            ['id' => 'CS', 'description' => 'SERBIA AND MONTENEGRO'],
            ['id' => 'SC', 'description' => 'SEYCHELLES'],
            ['id' => 'SL', 'description' => 'SIERRA LEONE'],
            ['id' => 'SG', 'description' => 'SINGAPORE'],
            ['id' => 'SK', 'description' => 'SLOVAKIA'],
            ['id' => 'SI', 'description' => 'SLOVENIA'],
            ['id' => 'SB', 'description' => 'SOLOMON ISLANDS'],
            ['id' => 'SO', 'description' => 'SOMALIA'],
            ['id' => 'ZA', 'description' => 'SOUTH AFRICA'],
            ['id' => 'GS', 'description' => 'SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS'],
            ['id' => 'ES', 'description' => 'SPAIN'],
            ['id' => 'LK', 'description' => 'SRI LANKA'],
            ['id' => 'SD', 'description' => 'SUDAN'],
            ['id' => 'SR', 'description' => 'SURINAME'],
            ['id' => 'SJ', 'description' => 'SVALBARD AND JAN MAYEN ISLANDS'],
            ['id' => 'SZ', 'description' => 'SWAZILAND'],
            ['id' => 'SE', 'description' => 'SWEDEN'],
            ['id' => 'CH', 'description' => 'SWITZERLAND'],
            ['id' => 'SY', 'description' => 'SYRIAN ARAB REPUBLIC'],
            ['id' => 'TW', 'description' => 'TAIWAN'],
            ['id' => 'TJ', 'description' => 'TAJIKISTAN'],
            ['id' => 'TZ', 'description' => 'TANZANIA, UNITED REPUBLIC OF'],
            ['id' => 'TH', 'description' => 'THAILAND'],
            ['id' => 'TL', 'description' => 'TIMOR-LESTE'],
            ['id' => 'TG', 'description' => 'TOGO'],
            ['id' => 'TK', 'description' => 'TOKELAU'],
            ['id' => 'TO', 'description' => 'TONGA'],
            ['id' => 'TT', 'description' => 'TRINIDAD AND TOBAGO'],
            ['id' => 'TN', 'description' => 'TUNISIA'],
            ['id' => 'TR', 'description' => 'TURKEY'],
            ['id' => 'TM', 'description' => 'TURKMENISTAN'],
            ['id' => 'TC', 'description' => 'TURKS AND CAICOS ISLANDS'],
            ['id' => 'TV', 'description' => 'TUVALU'],
            ['id' => 'UG', 'description' => 'UGANDA'],
            ['id' => 'UA', 'description' => 'UKRAINE'],
            ['id' => 'AE', 'description' => 'UNITED ARAB EMIRATES'],
            ['id' => 'GB', 'description' => 'UNITED KINGDOM'],
            ['id' => 'US', 'description' => 'UNITED STATES'],
            ['id' => 'UM', 'description' => 'UNITED STATES MINOR OUTLYING ISLANDS'],
            ['id' => 'UY', 'description' => 'URUGUAY'],
            ['id' => 'UZ', 'description' => 'UZBEKISTAN'],
            ['id' => 'VU', 'description' => 'VANUATU'],
            ['id' => 'VA', 'description' => 'VATICAN CITY STATE (HOLY SEE)'],
            ['id' => 'VE', 'description' => 'VENEZUELA'],
            ['id' => 'VN', 'description' => 'VIET NAM'],
            ['id' => 'VG', 'description' => 'VIRGIN ISLANDS (BRITISH)'],
            ['id' => 'VI', 'description' => 'VIRGIN ISLANDS (U.S.)'],
            ['id' => 'WF', 'description' => 'WALLIS AND FUTUNA ISLANDS'],
            ['id' => 'EH', 'description' => 'WESTERN SAHARA'],
            ['id' => 'YE', 'description' => 'YEMEN'],
            ['id' => 'ZM', 'description' => 'ZAMBIA'],
           ['id' => 'ZW', 'description' => 'ZIMBABWE']
        ]);

        Schema::create('departments', function (Blueprint $table) {
            $table->char('id', 2)->index();
            $table->string('description');
            $table->boolean('active')->default(true);
        });

        DB::table('departments')->insert([
            ['id' => '01', 'description' => 'AMAZONAS'],
            ['id' => '02', 'description' => 'ÁNCASH'],
            ['id' => '03', 'description' => 'APURIMAC'],
            ['id' => '04', 'description' => 'AREQUIPA'],
            ['id' => '05', 'description' => 'AYACUCHO'],
            ['id' => '06', 'description' => 'CAJAMARCA'],
            ['id' => '07', 'description' => 'CALLAO'],
            ['id' => '08', 'description' => 'CUSCO'],
            ['id' => '09', 'description' => 'HUANCAVELICA'],
            ['id' => '10', 'description' => 'HUÁNUCO'],
            ['id' => '11', 'description' => 'ICA'],
            ['id' => '12', 'description' => 'JUNÍN'],
            ['id' => '13', 'description' => 'LA LIBERTAD'],
            ['id' => '14', 'description' => 'LAMBAYEQUE'],
            ['id' => '15', 'description' => 'LIMA'],
            ['id' => '16', 'description' => 'LORETO'],
            ['id' => '17', 'description' => 'MADRE DE DIOS'],
            ['id' => '18', 'description' => 'MOQUEGUA'],
            ['id' => '19', 'description' => 'PASCO'],
            ['id' => '20', 'description' => 'PIURA'],
            ['id' => '21', 'description' => 'PUNO'],
            ['id' => '22', 'description' => 'SAN MARTIN'],
            ['id' => '23', 'description' => 'TACNA'],
            ['id' => '24', 'description' => 'TUMBES'],
            ['id' => '25', 'description' => 'UCAYALI'],
        ]);

        Schema::create('provinces', function (Blueprint $table) {
            $table->char('id', 4)->index();
            $table->char('department_id', 2);
            $table->string('description');
            $table->boolean('active')->default(true);

            $table->foreign('department_id')->references('id')->on('departments');
        });

        DB::table('provinces')->insert([
            ['id' => '0101', 'description' => 'Chachapoyas', 'department_id' => '01'],
            ['id' => '0102', 'description' => 'Bagua', 'department_id' => '01'],
            ['id' => '0103', 'description' => 'Bongará', 'department_id' => '01'],
            ['id' => '0104', 'description' => 'Condorcanqui', 'department_id' => '01'],
            ['id' => '0105', 'description' => 'Luya', 'department_id' => '01'],
            ['id' => '0106', 'description' => 'Rodríguez de Mendoza', 'department_id' => '01'],
            ['id' => '0107', 'description' => 'Utcubamba', 'department_id' => '01'],
            ['id' => '0201', 'description' => 'Huaraz', 'department_id' => '02'],
            ['id' => '0202', 'description' => 'Aija', 'department_id' => '02'],
            ['id' => '0203', 'description' => 'Antonio Raymondi', 'department_id' => '02'],
            ['id' => '0204', 'description' => 'Asunción', 'department_id' => '02'],
            ['id' => '0205', 'description' => 'Bolognesi', 'department_id' => '02'],
            ['id' => '0206', 'description' => 'Carhuaz', 'department_id' => '02'],
            ['id' => '0207', 'description' => 'Carlos Fermín Fitzcarrald', 'department_id' => '02'],
            ['id' => '0208', 'description' => 'Casma', 'department_id' => '02'],
            ['id' => '0209', 'description' => 'Corongo', 'department_id' => '02'],
            ['id' => '0210', 'description' => 'Huari', 'department_id' => '02'],
            ['id' => '0211', 'description' => 'Huarmey', 'department_id' => '02'],
            ['id' => '0212', 'description' => 'Huaylas', 'department_id' => '02'],
            ['id' => '0213', 'description' => 'Mariscal Luzuriaga', 'department_id' => '02'],
            ['id' => '0214', 'description' => 'Ocros', 'department_id' => '02'],
            ['id' => '0215', 'description' => 'Pallasca', 'department_id' => '02'],
            ['id' => '0216', 'description' => 'Pomabamba', 'department_id' => '02'],
            ['id' => '0217', 'description' => 'Recuay', 'department_id' => '02'],
            ['id' => '0218', 'description' => 'Santa', 'department_id' => '02'],
            ['id' => '0219', 'description' => 'Sihuas', 'department_id' => '02'],
            ['id' => '0220', 'description' => 'Yungay', 'department_id' => '02'],
            ['id' => '0301', 'description' => 'Abancay', 'department_id' => '03'],
            ['id' => '0302', 'description' => 'Andahuaylas', 'department_id' => '03'],
            ['id' => '0303', 'description' => 'Antabamba', 'department_id' => '03'],
            ['id' => '0304', 'description' => 'Aymaraes', 'department_id' => '03'],
            ['id' => '0305', 'description' => 'Cotabambas', 'department_id' => '03'],
            ['id' => '0306', 'description' => 'Chincheros', 'department_id' => '03'],
            ['id' => '0307', 'description' => 'Grau', 'department_id' => '03'],
            ['id' => '0401', 'description' => 'Arequipa', 'department_id' => '04'],
            ['id' => '0402', 'description' => 'Camaná', 'department_id' => '04'],
            ['id' => '0403', 'description' => 'Caravelí', 'department_id' => '04'],
            ['id' => '0404', 'description' => 'Castilla', 'department_id' => '04'],
            ['id' => '0405', 'description' => 'Caylloma', 'department_id' => '04'],
            ['id' => '0406', 'description' => 'Condesuyos', 'department_id' => '04'],
            ['id' => '0407', 'description' => 'Islay', 'department_id' => '04'],
            ['id' => '0408', 'description' => 'La Uniòn', 'department_id' => '04'],
            ['id' => '0501', 'description' => 'Huamanga', 'department_id' => '05'],
            ['id' => '0502', 'description' => 'Cangallo', 'department_id' => '05'],
            ['id' => '0503', 'description' => 'Huanca Sancos', 'department_id' => '05'],
            ['id' => '0504', 'description' => 'Huanta', 'department_id' => '05'],
            ['id' => '0505', 'description' => 'La Mar', 'department_id' => '05'],
            ['id' => '0506', 'description' => 'Lucanas', 'department_id' => '05'],
            ['id' => '0507', 'description' => 'Parinacochas', 'department_id' => '05'],
            ['id' => '0508', 'description' => 'Pàucar del Sara Sara', 'department_id' => '05'],
            ['id' => '0509', 'description' => 'Sucre', 'department_id' => '05'],
            ['id' => '0510', 'description' => 'Víctor Fajardo', 'department_id' => '05'],
            ['id' => '0511', 'description' => 'Vilcas Huamán', 'department_id' => '05'],
            ['id' => '0601', 'description' => 'Cajamarca', 'department_id' => '06'],
            ['id' => '0602', 'description' => 'Cajabamba', 'department_id' => '06'],
            ['id' => '0603', 'description' => 'Celendín', 'department_id' => '06'],
            ['id' => '0604', 'description' => 'Chota', 'department_id' => '06'],
            ['id' => '0605', 'description' => 'Contumazá', 'department_id' => '06'],
            ['id' => '0606', 'description' => 'Cutervo', 'department_id' => '06'],
            ['id' => '0607', 'description' => 'Hualgayoc', 'department_id' => '06'],
            ['id' => '0608', 'description' => 'Jaén', 'department_id' => '06'],
            ['id' => '0609', 'description' => 'San Ignacio', 'department_id' => '06'],
            ['id' => '0610', 'description' => 'San Marcos', 'department_id' => '06'],
            ['id' => '0611', 'description' => 'San Miguel', 'department_id' => '06'],
            ['id' => '0612', 'description' => 'San Pablo', 'department_id' => '06'],
            ['id' => '0613', 'description' => 'Santa Cruz', 'department_id' => '06'],
            ['id' => '0701', 'description' => 'Prov. Const. del Callao', 'department_id' => '07'],
            ['id' => '0801', 'description' => 'Cusco', 'department_id' => '08'],
            ['id' => '0802', 'description' => 'Acomayo', 'department_id' => '08'],
            ['id' => '0803', 'description' => 'Anta', 'department_id' => '08'],
            ['id' => '0804', 'description' => 'Calca', 'department_id' => '08'],
            ['id' => '0805', 'description' => 'Canas', 'department_id' => '08'],
            ['id' => '0806', 'description' => 'Canchis', 'department_id' => '08'],
            ['id' => '0807', 'description' => 'Chumbivilcas', 'department_id' => '08'],
            ['id' => '0808', 'description' => 'Espinar', 'department_id' => '08'],
            ['id' => '0809', 'description' => 'La Convención', 'department_id' => '08'],
            ['id' => '0810', 'description' => 'Paruro', 'department_id' => '08'],
            ['id' => '0811', 'description' => 'Paucartambo', 'department_id' => '08'],
            ['id' => '0812', 'description' => 'Quispicanchi', 'department_id' => '08'],
            ['id' => '0813', 'description' => 'Urubamba', 'department_id' => '08'],
            ['id' => '0901', 'description' => 'Huancavelica', 'department_id' => '09'],
            ['id' => '0902', 'description' => 'Acobamba', 'department_id' => '09'],
            ['id' => '0903', 'description' => 'Angaraes', 'department_id' => '09'],
            ['id' => '0904', 'description' => 'Castrovirreyna', 'department_id' => '09'],
            ['id' => '0905', 'description' => 'Churcampa', 'department_id' => '09'],
            ['id' => '0906', 'description' => 'Huaytará', 'department_id' => '09'],
            ['id' => '0907', 'description' => 'Tayacaja', 'department_id' => '09'],
            ['id' => '1001', 'description' => 'Huánuco', 'department_id' => '10'],
            ['id' => '1002', 'description' => 'Ambo', 'department_id' => '10'],
            ['id' => '1003', 'description' => 'Dos de Mayo', 'department_id' => '10'],
            ['id' => '1004', 'description' => 'Huacaybamba', 'department_id' => '10'],
            ['id' => '1005', 'description' => 'Huamalíes', 'department_id' => '10'],
            ['id' => '1006', 'description' => 'Leoncio Prado', 'department_id' => '10'],
            ['id' => '1007', 'description' => 'Marañón', 'department_id' => '10'],
            ['id' => '1008', 'description' => 'Pachitea', 'department_id' => '10'],
            ['id' => '1009', 'description' => 'Puerto Inca', 'department_id' => '10'],
            ['id' => '1010', 'description' => 'Lauricocha', 'department_id' => '10'],
            ['id' => '1011', 'description' => 'Yarowilca', 'department_id' => '10'],
            ['id' => '1101', 'description' => 'Ica', 'department_id' => '11'],
            ['id' => '1102', 'description' => 'Chincha', 'department_id' => '11'],
            ['id' => '1103', 'description' => 'Nasca', 'department_id' => '11'],
            ['id' => '1104', 'description' => 'Palpa', 'department_id' => '11'],
            ['id' => '1105', 'description' => 'Pisco', 'department_id' => '11'],
            ['id' => '1201', 'description' => 'Huancayo', 'department_id' => '12'],
            ['id' => '1202', 'description' => 'Concepción', 'department_id' => '12'],
            ['id' => '1203', 'description' => 'Chanchamayo', 'department_id' => '12'],
            ['id' => '1204', 'description' => 'Jauja', 'department_id' => '12'],
            ['id' => '1205', 'description' => 'Junín', 'department_id' => '12'],
            ['id' => '1206', 'description' => 'Satipo', 'department_id' => '12'],
            ['id' => '1207', 'description' => 'Tarma', 'department_id' => '12'],
            ['id' => '1208', 'description' => 'Yauli', 'department_id' => '12'],
            ['id' => '1209', 'description' => 'Chupaca', 'department_id' => '12'],
            ['id' => '1301', 'description' => 'Trujillo', 'department_id' => '13'],
            ['id' => '1302', 'description' => 'Ascope', 'department_id' => '13'],
            ['id' => '1303', 'description' => 'Bolívar', 'department_id' => '13'],
            ['id' => '1304', 'description' => 'Chepén', 'department_id' => '13'],
            ['id' => '1305', 'description' => 'Julcán', 'department_id' => '13'],
            ['id' => '1306', 'description' => 'Otuzco', 'department_id' => '13'],
            ['id' => '1307', 'description' => 'Pacasmayo', 'department_id' => '13'],
            ['id' => '1308', 'description' => 'Pataz', 'department_id' => '13'],
            ['id' => '1309', 'description' => 'Sánchez Carrión', 'department_id' => '13'],
            ['id' => '1310', 'description' => 'Santiago de Chuco', 'department_id' => '13'],
            ['id' => '1311', 'description' => 'Gran Chimú', 'department_id' => '13'],
            ['id' => '1312', 'description' => 'Virú', 'department_id' => '13'],
            ['id' => '1401', 'description' => 'Chiclayo', 'department_id' => '14'],
            ['id' => '1402', 'description' => 'Ferreñafe', 'department_id' => '14'],
            ['id' => '1403', 'description' => 'Lambayeque', 'department_id' => '14'],
            ['id' => '1501', 'description' => 'Lima', 'department_id' => '15'],
            ['id' => '1502', 'description' => 'Barranca', 'department_id' => '15'],
            ['id' => '1503', 'description' => 'Cajatambo', 'department_id' => '15'],
            ['id' => '1504', 'description' => 'Canta', 'department_id' => '15'],
            ['id' => '1505', 'description' => 'Cañete', 'department_id' => '15'],
            ['id' => '1506', 'description' => 'Huaral', 'department_id' => '15'],
            ['id' => '1507', 'description' => 'Huarochirí', 'department_id' => '15'],
            ['id' => '1508', 'description' => 'Huaura', 'department_id' => '15'],
            ['id' => '1509', 'description' => 'Oyón', 'department_id' => '15'],
            ['id' => '1510', 'description' => 'Yauyos', 'department_id' => '15'],
            ['id' => '1601', 'description' => 'Maynas', 'department_id' => '16'],
            ['id' => '1602', 'description' => 'Alto Amazonas', 'department_id' => '16'],
            ['id' => '1603', 'description' => 'Loreto', 'department_id' => '16'],
            ['id' => '1604', 'description' => 'Mariscal Ramón Castilla', 'department_id' => '16'],
            ['id' => '1605', 'description' => 'Requena', 'department_id' => '16'],
            ['id' => '1606', 'description' => 'Ucayali', 'department_id' => '16'],
            ['id' => '1607', 'description' => 'Datem del Marañón', 'department_id' => '16'],
            ['id' => '1608', 'description' => 'Putumayo', 'department_id' => '16'],
            ['id' => '1701', 'description' => 'Tambopata', 'department_id' => '17'],
            ['id' => '1702', 'description' => 'Manu', 'department_id' => '17'],
            ['id' => '1703', 'description' => 'Tahuamanu', 'department_id' => '17'],
            ['id' => '1801', 'description' => 'Mariscal Nieto', 'department_id' => '18'],
            ['id' => '1802', 'description' => 'General Sánchez Cerro', 'department_id' => '18'],
            ['id' => '1803', 'description' => 'Ilo', 'department_id' => '18'],
            ['id' => '1901', 'description' => 'Pasco', 'department_id' => '19'],
            ['id' => '1902', 'description' => 'Daniel Alcides Carrión', 'department_id' => '19'],
            ['id' => '1903', 'description' => 'Oxapampa', 'department_id' => '19'],
            ['id' => '2001', 'description' => 'Piura', 'department_id' => '20'],
            ['id' => '2002', 'description' => 'Ayabaca', 'department_id' => '20'],
            ['id' => '2003', 'description' => 'Huancabamba', 'department_id' => '20'],
            ['id' => '2004', 'description' => 'Morropón', 'department_id' => '20'],
            ['id' => '2005', 'description' => 'Paita', 'department_id' => '20'],
            ['id' => '2006', 'description' => 'Sullana', 'department_id' => '20'],
            ['id' => '2007', 'description' => 'Talara', 'department_id' => '20'],
            ['id' => '2008', 'description' => 'Sechura', 'department_id' => '20'],
            ['id' => '2101', 'description' => 'Puno', 'department_id' => '21'],
            ['id' => '2102', 'description' => 'Azángaro', 'department_id' => '21'],
            ['id' => '2103', 'description' => 'Carabaya', 'department_id' => '21'],
            ['id' => '2104', 'description' => 'Chucuito', 'department_id' => '21'],
            ['id' => '2105', 'description' => 'El Collao', 'department_id' => '21'],
            ['id' => '2106', 'description' => 'Huancané', 'department_id' => '21'],
            ['id' => '2107', 'description' => 'Lampa', 'department_id' => '21'],
            ['id' => '2108', 'description' => 'Melgar', 'department_id' => '21'],
            ['id' => '2109', 'description' => 'Moho', 'department_id' => '21'],
            ['id' => '2110', 'description' => 'San Antonio de Putina', 'department_id' => '21'],
            ['id' => '2111', 'description' => 'San Román', 'department_id' => '21'],
            ['id' => '2112', 'description' => 'Sandia', 'department_id' => '21'],
            ['id' => '2113', 'description' => 'Yunguyo', 'department_id' => '21'],
            ['id' => '2201', 'description' => 'Moyobamba', 'department_id' => '22'],
            ['id' => '2202', 'description' => 'Bellavista', 'department_id' => '22'],
            ['id' => '2203', 'description' => 'El Dorado', 'department_id' => '22'],
            ['id' => '2204', 'description' => 'Huallaga', 'department_id' => '22'],
            ['id' => '2205', 'description' => 'Lamas', 'department_id' => '22'],
            ['id' => '2206', 'description' => 'Mariscal Cáceres', 'department_id' => '22'],
            ['id' => '2207', 'description' => 'Picota', 'department_id' => '22'],
            ['id' => '2208', 'description' => 'Rioja', 'department_id' => '22'],
            ['id' => '2209', 'description' => 'San Martín', 'department_id' => '22'],
            ['id' => '2210', 'description' => 'Tocache', 'department_id' => '22'],
            ['id' => '2301', 'description' => 'Tacna', 'department_id' => '23'],
            ['id' => '2302', 'description' => 'Candarave', 'department_id' => '23'],
            ['id' => '2303', 'description' => 'Jorge Basadre', 'department_id' => '23'],
            ['id' => '2304', 'description' => 'Tarata', 'department_id' => '23'],
            ['id' => '2401', 'description' => 'Tumbes', 'department_id' => '24'],
            ['id' => '2402', 'description' => 'Contralmirante Villar', 'department_id' => '24'],
            ['id' => '2403', 'description' => 'Zarumilla', 'department_id' => '24'],
            ['id' => '2501', 'description' => 'Coronel Portillo', 'department_id' => '25'],
            ['id' => '2502', 'description' => 'Atalaya', 'department_id' => '25'],
            ['id' => '2503', 'description' => 'Padre Abad', 'department_id' => '25'],
            ['id' => '2504', 'description' => 'Purús', 'department_id' => '25'],
        ]);

        Schema::create('districts', function (Blueprint $table) {
            $table->char('id', 6)->index();
            $table->char('province_id', 4);
            $table->string('description');
            $table->boolean('active')->default(true);

            $table->foreign('province_id')->references('id')->on('provinces');
        });

        DB::table('districts')->insert([
            ['id' => '010101', 'description' => 'Chachapoyas', 'province_id' => '0101'],
            ['id' => '010102', 'description' => 'Asunción', 'province_id' => '0101'],
            ['id' => '010103', 'description' => 'Balsas', 'province_id' => '0101'],
            ['id' => '010104', 'description' => 'Cheto', 'province_id' => '0101'],
            ['id' => '010105', 'description' => 'Chiliquin', 'province_id' => '0101'],
            ['id' => '010106', 'description' => 'Chuquibamba', 'province_id' => '0101'],
            ['id' => '010107', 'description' => 'Granada', 'province_id' => '0101'],
            ['id' => '010108', 'description' => 'Huancas', 'province_id' => '0101'],
            ['id' => '010109', 'description' => 'La Jalca', 'province_id' => '0101'],
            ['id' => '010110', 'description' => 'Leimebamba', 'province_id' => '0101'],
            ['id' => '010111', 'description' => 'Levanto', 'province_id' => '0101'],
            ['id' => '010112', 'description' => 'Magdalena', 'province_id' => '0101'],
            ['id' => '010113', 'description' => 'Mariscal Castilla', 'province_id' => '0101'],
            ['id' => '010114', 'description' => 'Molinopampa', 'province_id' => '0101'],
            ['id' => '010115', 'description' => 'Montevideo', 'province_id' => '0101'],
            ['id' => '010116', 'description' => 'Olleros', 'province_id' => '0101'],
            ['id' => '010117', 'description' => 'Quinjalca', 'province_id' => '0101'],
            ['id' => '010118', 'description' => 'San Francisco de Daguas', 'province_id' => '0101'],
            ['id' => '010119', 'description' => 'San Isidro de Maino', 'province_id' => '0101'],
            ['id' => '010120', 'description' => 'Soloco', 'province_id' => '0101'],
            ['id' => '010121', 'description' => 'Sonche', 'province_id' => '0101'],
            ['id' => '010201', 'description' => 'Bagua', 'province_id' => '0102'],
            ['id' => '010202', 'description' => 'Aramango', 'province_id' => '0102'],
            ['id' => '010203', 'description' => 'Copallin', 'province_id' => '0102'],
            ['id' => '010204', 'description' => 'El Parco', 'province_id' => '0102'],
            ['id' => '010205', 'description' => 'Imaza', 'province_id' => '0102'],
            ['id' => '010206', 'description' => 'La Peca', 'province_id' => '0102'],
            ['id' => '010301', 'description' => 'Jumbilla', 'province_id' => '0103'],
            ['id' => '010302', 'description' => 'Chisquilla', 'province_id' => '0103'],
            ['id' => '010303', 'description' => 'Churuja', 'province_id' => '0103'],
            ['id' => '010304', 'description' => 'Corosha', 'province_id' => '0103'],
            ['id' => '010305', 'description' => 'Cuispes', 'province_id' => '0103'],
            ['id' => '010306', 'description' => 'Florida', 'province_id' => '0103'],
            ['id' => '010307', 'description' => 'Jazan', 'province_id' => '0103'],
            ['id' => '010308', 'description' => 'Recta', 'province_id' => '0103'],
            ['id' => '010309', 'description' => 'San Carlos', 'province_id' => '0103'],
            ['id' => '010310', 'description' => 'Shipasbamba', 'province_id' => '0103'],
            ['id' => '010311', 'description' => 'Valera', 'province_id' => '0103'],
            ['id' => '010312', 'description' => 'Yambrasbamba', 'province_id' => '0103'],
            ['id' => '010401', 'description' => 'Nieva', 'province_id' => '0104'],
            ['id' => '010402', 'description' => 'El Cenepa', 'province_id' => '0104'],
            ['id' => '010403', 'description' => 'Río Santiago', 'province_id' => '0104'],
            ['id' => '010501', 'description' => 'Lamud', 'province_id' => '0105'],
            ['id' => '010502', 'description' => 'Camporredondo', 'province_id' => '0105'],
            ['id' => '010503', 'description' => 'Cocabamba', 'province_id' => '0105'],
            ['id' => '010504', 'description' => 'Colcamar', 'province_id' => '0105'],
            ['id' => '010505', 'description' => 'Conila', 'province_id' => '0105'],
            ['id' => '010506', 'description' => 'Inguilpata', 'province_id' => '0105'],
            ['id' => '010507', 'description' => 'Longuita', 'province_id' => '0105'],
            ['id' => '010508', 'description' => 'Lonya Chico', 'province_id' => '0105'],
            ['id' => '010509', 'description' => 'Luya', 'province_id' => '0105'],
            ['id' => '010510', 'description' => 'Luya Viejo', 'province_id' => '0105'],
            ['id' => '010511', 'description' => 'María', 'province_id' => '0105'],
            ['id' => '010512', 'description' => 'Ocalli', 'province_id' => '0105'],
            ['id' => '010513', 'description' => 'Ocumal', 'province_id' => '0105'],
            ['id' => '010514', 'description' => 'Pisuquia', 'province_id' => '0105'],
            ['id' => '010515', 'description' => 'Providencia', 'province_id' => '0105'],
            ['id' => '010516', 'description' => 'San Cristóbal', 'province_id' => '0105'],
            ['id' => '010517', 'description' => 'San Francisco de Yeso', 'province_id' => '0105'],
            ['id' => '010518', 'description' => 'San Jerónimo', 'province_id' => '0105'],
            ['id' => '010519', 'description' => 'San Juan de Lopecancha', 'province_id' => '0105'],
            ['id' => '010520', 'description' => 'Santa Catalina', 'province_id' => '0105'],
            ['id' => '010521', 'description' => 'Santo Tomas', 'province_id' => '0105'],
            ['id' => '010522', 'description' => 'Tingo', 'province_id' => '0105'],
            ['id' => '010523', 'description' => 'Trita', 'province_id' => '0105'],
            ['id' => '010601', 'description' => 'San Nicolás', 'province_id' => '0106'],
            ['id' => '010602', 'description' => 'Chirimoto', 'province_id' => '0106'],
            ['id' => '010603', 'description' => 'Cochamal', 'province_id' => '0106'],
            ['id' => '010604', 'description' => 'Huambo', 'province_id' => '0106'],
            ['id' => '010605', 'description' => 'Limabamba', 'province_id' => '0106'],
            ['id' => '010606', 'description' => 'Longar', 'province_id' => '0106'],
            ['id' => '010607', 'description' => 'Mariscal Benavides', 'province_id' => '0106'],
            ['id' => '010608', 'description' => 'Milpuc', 'province_id' => '0106'],
            ['id' => '010609', 'description' => 'Omia', 'province_id' => '0106'],
            ['id' => '010610', 'description' => 'Santa Rosa', 'province_id' => '0106'],
            ['id' => '010611', 'description' => 'Totora', 'province_id' => '0106'],
            ['id' => '010612', 'description' => 'Vista Alegre', 'province_id' => '0106'],
            ['id' => '010701', 'description' => 'Bagua Grande', 'province_id' => '0107'],
            ['id' => '010702', 'description' => 'Cajaruro', 'province_id' => '0107'],
            ['id' => '010703', 'description' => 'Cumba', 'province_id' => '0107'],
            ['id' => '010704', 'description' => 'El Milagro', 'province_id' => '0107'],
            ['id' => '010705', 'description' => 'Jamalca', 'province_id' => '0107'],
            ['id' => '010706', 'description' => 'Lonya Grande', 'province_id' => '0107'],
            ['id' => '010707', 'description' => 'Yamon', 'province_id' => '0107'],
            ['id' => '020101', 'description' => 'Huaraz', 'province_id' => '0201'],
            ['id' => '020102', 'description' => 'Cochabamba', 'province_id' => '0201'],
            ['id' => '020103', 'description' => 'Colcabamba', 'province_id' => '0201'],
            ['id' => '020104', 'description' => 'Huanchay', 'province_id' => '0201'],
            ['id' => '020105', 'description' => 'Independencia', 'province_id' => '0201'],
            ['id' => '020106', 'description' => 'Jangas', 'province_id' => '0201'],
            ['id' => '020107', 'description' => 'La Libertad', 'province_id' => '0201'],
            ['id' => '020108', 'description' => 'Olleros', 'province_id' => '0201'],
            ['id' => '020109', 'description' => 'Pampas Grande', 'province_id' => '0201'],
            ['id' => '020110', 'description' => 'Pariacoto', 'province_id' => '0201'],
            ['id' => '020111', 'description' => 'Pira', 'province_id' => '0201'],
            ['id' => '020112', 'description' => 'Tarica', 'province_id' => '0201'],
            ['id' => '020201', 'description' => 'Aija', 'province_id' => '0202'],
            ['id' => '020202', 'description' => 'Coris', 'province_id' => '0202'],
            ['id' => '020203', 'description' => 'Huacllan', 'province_id' => '0202'],
            ['id' => '020204', 'description' => 'La Merced', 'province_id' => '0202'],
            ['id' => '020205', 'description' => 'Succha', 'province_id' => '0202'],
            ['id' => '020301', 'description' => 'Llamellin', 'province_id' => '0203'],
            ['id' => '020302', 'description' => 'Aczo', 'province_id' => '0203'],
            ['id' => '020303', 'description' => 'Chaccho', 'province_id' => '0203'],
            ['id' => '020304', 'description' => 'Chingas', 'province_id' => '0203'],
            ['id' => '020305', 'description' => 'Mirgas', 'province_id' => '0203'],
            ['id' => '020306', 'description' => 'San Juan de Rontoy', 'province_id' => '0203'],
            ['id' => '020401', 'description' => 'Chacas', 'province_id' => '0204'],
            ['id' => '020402', 'description' => 'Acochaca', 'province_id' => '0204'],
            ['id' => '020501', 'description' => 'Chiquian', 'province_id' => '0205'],
            ['id' => '020502', 'description' => 'Abelardo Pardo Lezameta', 'province_id' => '0205'],
            ['id' => '020503', 'description' => 'Antonio Raymondi', 'province_id' => '0205'],
            ['id' => '020504', 'description' => 'Aquia', 'province_id' => '0205'],
            ['id' => '020505', 'description' => 'Cajacay', 'province_id' => '0205'],
            ['id' => '020506', 'description' => 'Canis', 'province_id' => '0205'],
            ['id' => '020507', 'description' => 'Colquioc', 'province_id' => '0205'],
            ['id' => '020508', 'description' => 'Huallanca', 'province_id' => '0205'],
            ['id' => '020509', 'description' => 'Huasta', 'province_id' => '0205'],
            ['id' => '020510', 'description' => 'Huayllacayan', 'province_id' => '0205'],
            ['id' => '020511', 'description' => 'La Primavera', 'province_id' => '0205'],
            ['id' => '020512', 'description' => 'Mangas', 'province_id' => '0205'],
            ['id' => '020513', 'description' => 'Pacllon', 'province_id' => '0205'],
            ['id' => '020514', 'description' => 'San Miguel de Corpanqui', 'province_id' => '0205'],
            ['id' => '020515', 'description' => 'Ticllos', 'province_id' => '0205'],
            ['id' => '020601', 'description' => 'Carhuaz', 'province_id' => '0206'],
            ['id' => '020602', 'description' => 'Acopampa', 'province_id' => '0206'],
            ['id' => '020603', 'description' => 'Amashca', 'province_id' => '0206'],
            ['id' => '020604', 'description' => 'Anta', 'province_id' => '0206'],
            ['id' => '020605', 'description' => 'Ataquero', 'province_id' => '0206'],
            ['id' => '020606', 'description' => 'Marcara', 'province_id' => '0206'],
            ['id' => '020607', 'description' => 'Pariahuanca', 'province_id' => '0206'],
            ['id' => '020608', 'description' => 'San Miguel de Aco', 'province_id' => '0206'],
            ['id' => '020609', 'description' => 'Shilla', 'province_id' => '0206'],
            ['id' => '020610', 'description' => 'Tinco', 'province_id' => '0206'],
            ['id' => '020611', 'description' => 'Yungar', 'province_id' => '0206'],
            ['id' => '020701', 'description' => 'San Luis', 'province_id' => '0207'],
            ['id' => '020702', 'description' => 'San Nicolás', 'province_id' => '0207'],
            ['id' => '020703', 'description' => 'Yauya', 'province_id' => '0207'],
            ['id' => '020801', 'description' => 'Casma', 'province_id' => '0208'],
            ['id' => '020802', 'description' => 'Buena Vista Alta', 'province_id' => '0208'],
            ['id' => '020803', 'description' => 'Comandante Noel', 'province_id' => '0208'],
            ['id' => '020804', 'description' => 'Yautan', 'province_id' => '0208'],
            ['id' => '020901', 'description' => 'Corongo', 'province_id' => '0209'],
            ['id' => '020902', 'description' => 'Aco', 'province_id' => '0209'],
            ['id' => '020903', 'description' => 'Bambas', 'province_id' => '0209'],
            ['id' => '020904', 'description' => 'Cusca', 'province_id' => '0209'],
            ['id' => '020905', 'description' => 'La Pampa', 'province_id' => '0209'],
            ['id' => '020906', 'description' => 'Yanac', 'province_id' => '0209'],
            ['id' => '020907', 'description' => 'Yupan', 'province_id' => '0209'],
            ['id' => '021001', 'description' => 'Huari', 'province_id' => '0210'],
            ['id' => '021002', 'description' => 'Anra', 'province_id' => '0210'],
            ['id' => '021003', 'description' => 'Cajay', 'province_id' => '0210'],
            ['id' => '021004', 'description' => 'Chavin de Huantar', 'province_id' => '0210'],
            ['id' => '021005', 'description' => 'Huacachi', 'province_id' => '0210'],
            ['id' => '021006', 'description' => 'Huacchis', 'province_id' => '0210'],
            ['id' => '021007', 'description' => 'Huachis', 'province_id' => '0210'],
            ['id' => '021008', 'description' => 'Huantar', 'province_id' => '0210'],
            ['id' => '021009', 'description' => 'Masin', 'province_id' => '0210'],
            ['id' => '021010', 'description' => 'Paucas', 'province_id' => '0210'],
            ['id' => '021011', 'description' => 'Ponto', 'province_id' => '0210'],
            ['id' => '021012', 'description' => 'Rahuapampa', 'province_id' => '0210'],
            ['id' => '021013', 'description' => 'Rapayan', 'province_id' => '0210'],
            ['id' => '021014', 'description' => 'San Marcos', 'province_id' => '0210'],
            ['id' => '021015', 'description' => 'San Pedro de Chana', 'province_id' => '0210'],
            ['id' => '021016', 'description' => 'Uco', 'province_id' => '0210'],
            ['id' => '021101', 'description' => 'Huarmey', 'province_id' => '0211'],
            ['id' => '021102', 'description' => 'Cochapeti', 'province_id' => '0211'],
            ['id' => '021103', 'description' => 'Culebras', 'province_id' => '0211'],
            ['id' => '021104', 'description' => 'Huayan', 'province_id' => '0211'],
            ['id' => '021105', 'description' => 'Malvas', 'province_id' => '0211'],
            ['id' => '021201', 'description' => 'Caraz', 'province_id' => '0212'],
            ['id' => '021202', 'description' => 'Huallanca', 'province_id' => '0212'],
            ['id' => '021203', 'description' => 'Huata', 'province_id' => '0212'],
            ['id' => '021204', 'description' => 'Huaylas', 'province_id' => '0212'],
            ['id' => '021205', 'description' => 'Mato', 'province_id' => '0212'],
            ['id' => '021206', 'description' => 'Pamparomas', 'province_id' => '0212'],
            ['id' => '021207', 'description' => 'Pueblo Libre', 'province_id' => '0212'],
            ['id' => '021208', 'description' => 'Santa Cruz', 'province_id' => '0212'],
            ['id' => '021209', 'description' => 'Santo Toribio', 'province_id' => '0212'],
            ['id' => '021210', 'description' => 'Yuracmarca', 'province_id' => '0212'],
            ['id' => '021301', 'description' => 'Piscobamba', 'province_id' => '0213'],
            ['id' => '021302', 'description' => 'Casca', 'province_id' => '0213'],
            ['id' => '021303', 'description' => 'Eleazar Guzmán Barron', 'province_id' => '0213'],
            ['id' => '021304', 'description' => 'Fidel Olivas Escudero', 'province_id' => '0213'],
            ['id' => '021305', 'description' => 'Llama', 'province_id' => '0213'],
            ['id' => '021306', 'description' => 'Llumpa', 'province_id' => '0213'],
            ['id' => '021307', 'description' => 'Lucma', 'province_id' => '0213'],
            ['id' => '021308', 'description' => 'Musga', 'province_id' => '0213'],
            ['id' => '021401', 'description' => 'Ocros', 'province_id' => '0214'],
            ['id' => '021402', 'description' => 'Acas', 'province_id' => '0214'],
            ['id' => '021403', 'description' => 'Cajamarquilla', 'province_id' => '0214'],
            ['id' => '021404', 'description' => 'Carhuapampa', 'province_id' => '0214'],
            ['id' => '021405', 'description' => 'Cochas', 'province_id' => '0214'],
            ['id' => '021406', 'description' => 'Congas', 'province_id' => '0214'],
            ['id' => '021407', 'description' => 'Llipa', 'province_id' => '0214'],
            ['id' => '021408', 'description' => 'San Cristóbal de Rajan', 'province_id' => '0214'],
            ['id' => '021409', 'description' => 'San Pedro', 'province_id' => '0214'],
            ['id' => '021410', 'description' => 'Santiago de Chilcas', 'province_id' => '0214'],
            ['id' => '021501', 'description' => 'Cabana', 'province_id' => '0215'],
            ['id' => '021502', 'description' => 'Bolognesi', 'province_id' => '0215'],
            ['id' => '021503', 'description' => 'Conchucos', 'province_id' => '0215'],
            ['id' => '021504', 'description' => 'Huacaschuque', 'province_id' => '0215'],
            ['id' => '021505', 'description' => 'Huandoval', 'province_id' => '0215'],
            ['id' => '021506', 'description' => 'Lacabamba', 'province_id' => '0215'],
            ['id' => '021507', 'description' => 'Llapo', 'province_id' => '0215'],
            ['id' => '021508', 'description' => 'Pallasca', 'province_id' => '0215'],
            ['id' => '021509', 'description' => 'Pampas', 'province_id' => '0215'],
            ['id' => '021510', 'description' => 'Santa Rosa', 'province_id' => '0215'],
            ['id' => '021511', 'description' => 'Tauca', 'province_id' => '0215'],
            ['id' => '021601', 'description' => 'Pomabamba', 'province_id' => '0216'],
            ['id' => '021602', 'description' => 'Huayllan', 'province_id' => '0216'],
            ['id' => '021603', 'description' => 'Parobamba', 'province_id' => '0216'],
            ['id' => '021604', 'description' => 'Quinuabamba', 'province_id' => '0216'],
            ['id' => '021701', 'description' => 'Recuay', 'province_id' => '0217'],
            ['id' => '021702', 'description' => 'Catac', 'province_id' => '0217'],
            ['id' => '021703', 'description' => 'Cotaparaco', 'province_id' => '0217'],
            ['id' => '021704', 'description' => 'Huayllapampa', 'province_id' => '0217'],
            ['id' => '021705', 'description' => 'Llacllin', 'province_id' => '0217'],
            ['id' => '021706', 'description' => 'Marca', 'province_id' => '0217'],
            ['id' => '021707', 'description' => 'Pampas Chico', 'province_id' => '0217'],
            ['id' => '021708', 'description' => 'Pararin', 'province_id' => '0217'],
            ['id' => '021709', 'description' => 'Tapacocha', 'province_id' => '0217'],
            ['id' => '021710', 'description' => 'Ticapampa', 'province_id' => '0217'],
            ['id' => '021801', 'description' => 'Chimbote', 'province_id' => '0218'],
            ['id' => '021802', 'description' => 'Cáceres del Perú', 'province_id' => '0218'],
            ['id' => '021803', 'description' => 'Coishco', 'province_id' => '0218'],
            ['id' => '021804', 'description' => 'Macate', 'province_id' => '0218'],
            ['id' => '021805', 'description' => 'Moro', 'province_id' => '0218'],
            ['id' => '021806', 'description' => 'Nepeña', 'province_id' => '0218'],
            ['id' => '021807', 'description' => 'Samanco', 'province_id' => '0218'],
            ['id' => '021808', 'description' => 'Santa', 'province_id' => '0218'],
            ['id' => '021809', 'description' => 'Nuevo Chimbote', 'province_id' => '0218'],
            ['id' => '021901', 'description' => 'Sihuas', 'province_id' => '0219'],
            ['id' => '021902', 'description' => 'Acobamba', 'province_id' => '0219'],
            ['id' => '021903', 'description' => 'Alfonso Ugarte', 'province_id' => '0219'],
            ['id' => '021904', 'description' => 'Cashapampa', 'province_id' => '0219'],
            ['id' => '021905', 'description' => 'Chingalpo', 'province_id' => '0219'],
            ['id' => '021906', 'description' => 'Huayllabamba', 'province_id' => '0219'],
            ['id' => '021907', 'description' => 'Quiches', 'province_id' => '0219'],
            ['id' => '021908', 'description' => 'Ragash', 'province_id' => '0219'],
            ['id' => '021909', 'description' => 'San Juan', 'province_id' => '0219'],
            ['id' => '021910', 'description' => 'Sicsibamba', 'province_id' => '0219'],
            ['id' => '022001', 'description' => 'Yungay', 'province_id' => '0220'],
            ['id' => '022002', 'description' => 'Cascapara', 'province_id' => '0220'],
            ['id' => '022003', 'description' => 'Mancos', 'province_id' => '0220'],
            ['id' => '022004', 'description' => 'Matacoto', 'province_id' => '0220'],
            ['id' => '022005', 'description' => 'Quillo', 'province_id' => '0220'],
            ['id' => '022006', 'description' => 'Ranrahirca', 'province_id' => '0220'],
            ['id' => '022007', 'description' => 'Shupluy', 'province_id' => '0220'],
            ['id' => '022008', 'description' => 'Yanama', 'province_id' => '0220'],
            ['id' => '030101', 'description' => 'Abancay', 'province_id' => '0301'],
            ['id' => '030102', 'description' => 'Chacoche', 'province_id' => '0301'],
            ['id' => '030103', 'description' => 'Circa', 'province_id' => '0301'],
            ['id' => '030104', 'description' => 'Curahuasi', 'province_id' => '0301'],
            ['id' => '030105', 'description' => 'Huanipaca', 'province_id' => '0301'],
            ['id' => '030106', 'description' => 'Lambrama', 'province_id' => '0301'],
            ['id' => '030107', 'description' => 'Pichirhua', 'province_id' => '0301'],
            ['id' => '030108', 'description' => 'San Pedro de Cachora', 'province_id' => '0301'],
            ['id' => '030109', 'description' => 'Tamburco', 'province_id' => '0301'],
            ['id' => '030201', 'description' => 'Andahuaylas', 'province_id' => '0302'],
            ['id' => '030202', 'description' => 'Andarapa', 'province_id' => '0302'],
            ['id' => '030203', 'description' => 'Chiara', 'province_id' => '0302'],
            ['id' => '030204', 'description' => 'Huancarama', 'province_id' => '0302'],
            ['id' => '030205', 'description' => 'Huancaray', 'province_id' => '0302'],
            ['id' => '030206', 'description' => 'Huayana', 'province_id' => '0302'],
            ['id' => '030207', 'description' => 'Kishuara', 'province_id' => '0302'],
            ['id' => '030208', 'description' => 'Pacobamba', 'province_id' => '0302'],
            ['id' => '030209', 'description' => 'Pacucha', 'province_id' => '0302'],
            ['id' => '030210', 'description' => 'Pampachiri', 'province_id' => '0302'],
            ['id' => '030211', 'description' => 'Pomacocha', 'province_id' => '0302'],
            ['id' => '030212', 'description' => 'San Antonio de Cachi', 'province_id' => '0302'],
            ['id' => '030213', 'description' => 'San Jerónimo', 'province_id' => '0302'],
            ['id' => '030214', 'description' => 'San Miguel de Chaccrampa', 'province_id' => '0302'],
            ['id' => '030215', 'description' => 'Santa María de Chicmo', 'province_id' => '0302'],
            ['id' => '030216', 'description' => 'Talavera', 'province_id' => '0302'],
            ['id' => '030217', 'description' => 'Tumay Huaraca', 'province_id' => '0302'],
            ['id' => '030218', 'description' => 'Turpo', 'province_id' => '0302'],
            ['id' => '030219', 'description' => 'Kaquiabamba', 'province_id' => '0302'],
            ['id' => '030220', 'description' => 'José María Arguedas', 'province_id' => '0302'],
            ['id' => '030301', 'description' => 'Antabamba', 'province_id' => '0303'],
            ['id' => '030302', 'description' => 'El Oro', 'province_id' => '0303'],
            ['id' => '030303', 'description' => 'Huaquirca', 'province_id' => '0303'],
            ['id' => '030304', 'description' => 'Juan Espinoza Medrano', 'province_id' => '0303'],
            ['id' => '030305', 'description' => 'Oropesa', 'province_id' => '0303'],
            ['id' => '030306', 'description' => 'Pachaconas', 'province_id' => '0303'],
            ['id' => '030307', 'description' => 'Sabaino', 'province_id' => '0303'],
            ['id' => '030401', 'description' => 'Chalhuanca', 'province_id' => '0304'],
            ['id' => '030402', 'description' => 'Capaya', 'province_id' => '0304'],
            ['id' => '030403', 'description' => 'Caraybamba', 'province_id' => '0304'],
            ['id' => '030404', 'description' => 'Chapimarca', 'province_id' => '0304'],
            ['id' => '030405', 'description' => 'Colcabamba', 'province_id' => '0304'],
            ['id' => '030406', 'description' => 'Cotaruse', 'province_id' => '0304'],
            ['id' => '030407', 'description' => 'Ihuayllo', 'province_id' => '0304'],
            ['id' => '030408', 'description' => 'Justo Apu Sahuaraura', 'province_id' => '0304'],
            ['id' => '030409', 'description' => 'Lucre', 'province_id' => '0304'],
            ['id' => '030410', 'description' => 'Pocohuanca', 'province_id' => '0304'],
            ['id' => '030411', 'description' => 'San Juan de Chacña', 'province_id' => '0304'],
            ['id' => '030412', 'description' => 'Sañayca', 'province_id' => '0304'],
            ['id' => '030413', 'description' => 'Soraya', 'province_id' => '0304'],
            ['id' => '030414', 'description' => 'Tapairihua', 'province_id' => '0304'],
            ['id' => '030415', 'description' => 'Tintay', 'province_id' => '0304'],
            ['id' => '030416', 'description' => 'Toraya', 'province_id' => '0304'],
            ['id' => '030417', 'description' => 'Yanaca', 'province_id' => '0304'],
            ['id' => '030501', 'description' => 'Tambobamba', 'province_id' => '0305'],
            ['id' => '030502', 'description' => 'Cotabambas', 'province_id' => '0305'],
            ['id' => '030503', 'description' => 'Coyllurqui', 'province_id' => '0305'],
            ['id' => '030504', 'description' => 'Haquira', 'province_id' => '0305'],
            ['id' => '030505', 'description' => 'Mara', 'province_id' => '0305'],
            ['id' => '030506', 'description' => 'Challhuahuacho', 'province_id' => '0305'],
            ['id' => '030601', 'description' => 'Chincheros', 'province_id' => '0306'],
            ['id' => '030602', 'description' => 'Anco_Huallo', 'province_id' => '0306'],
            ['id' => '030603', 'description' => 'Cocharcas', 'province_id' => '0306'],
            ['id' => '030604', 'description' => 'Huaccana', 'province_id' => '0306'],
            ['id' => '030605', 'description' => 'Ocobamba', 'province_id' => '0306'],
            ['id' => '030606', 'description' => 'Ongoy', 'province_id' => '0306'],
            ['id' => '030607', 'description' => 'Uranmarca', 'province_id' => '0306'],
            ['id' => '030608', 'description' => 'Ranracancha', 'province_id' => '0306'],
            ['id' => '030609', 'description' => 'Rocchacc', 'province_id' => '0306'],
            ['id' => '030610', 'description' => 'El Porvenir', 'province_id' => '0306'],
            ['id' => '030701', 'description' => 'Chuquibambilla', 'province_id' => '0307'],
            ['id' => '030702', 'description' => 'Curpahuasi', 'province_id' => '0307'],
            ['id' => '030703', 'description' => 'Gamarra', 'province_id' => '0307'],
            ['id' => '030704', 'description' => 'Huayllati', 'province_id' => '0307'],
            ['id' => '030705', 'description' => 'Mamara', 'province_id' => '0307'],
            ['id' => '030706', 'description' => 'Micaela Bastidas', 'province_id' => '0307'],
            ['id' => '030707', 'description' => 'Pataypampa', 'province_id' => '0307'],
            ['id' => '030708', 'description' => 'Progreso', 'province_id' => '0307'],
            ['id' => '030709', 'description' => 'San Antonio', 'province_id' => '0307'],
            ['id' => '030710', 'description' => 'Santa Rosa', 'province_id' => '0307'],
            ['id' => '030711', 'description' => 'Turpay', 'province_id' => '0307'],
            ['id' => '030712', 'description' => 'Vilcabamba', 'province_id' => '0307'],
            ['id' => '030713', 'description' => 'Virundo', 'province_id' => '0307'],
            ['id' => '030714', 'description' => 'Curasco', 'province_id' => '0307'],
            ['id' => '040101', 'description' => 'Arequipa', 'province_id' => '0401'],
            ['id' => '040102', 'description' => 'Alto Selva Alegre', 'province_id' => '0401'],
            ['id' => '040103', 'description' => 'Cayma', 'province_id' => '0401'],
            ['id' => '040104', 'description' => 'Cerro Colorado', 'province_id' => '0401'],
            ['id' => '040105', 'description' => 'Characato', 'province_id' => '0401'],
            ['id' => '040106', 'description' => 'Chiguata', 'province_id' => '0401'],
            ['id' => '040107', 'description' => 'Jacobo Hunter', 'province_id' => '0401'],
            ['id' => '040108', 'description' => 'La Joya', 'province_id' => '0401'],
            ['id' => '040109', 'description' => 'Mariano Melgar', 'province_id' => '0401'],
            ['id' => '040110', 'description' => 'Miraflores', 'province_id' => '0401'],
            ['id' => '040111', 'description' => 'Mollebaya', 'province_id' => '0401'],
            ['id' => '040112', 'description' => 'Paucarpata', 'province_id' => '0401'],
            ['id' => '040113', 'description' => 'Pocsi', 'province_id' => '0401'],
            ['id' => '040114', 'description' => 'Polobaya', 'province_id' => '0401'],
            ['id' => '040115', 'description' => 'Quequeña', 'province_id' => '0401'],
            ['id' => '040116', 'description' => 'Sabandia', 'province_id' => '0401'],
            ['id' => '040117', 'description' => 'Sachaca', 'province_id' => '0401'],
            ['id' => '040118', 'description' => 'San Juan de Siguas', 'province_id' => '0401'],
            ['id' => '040119', 'description' => 'San Juan de Tarucani', 'province_id' => '0401'],
            ['id' => '040120', 'description' => 'Santa Isabel de Siguas', 'province_id' => '0401'],
            ['id' => '040121', 'description' => 'Santa Rita de Siguas', 'province_id' => '0401'],
            ['id' => '040122', 'description' => 'Socabaya', 'province_id' => '0401'],
            ['id' => '040123', 'description' => 'Tiabaya', 'province_id' => '0401'],
            ['id' => '040124', 'description' => 'Uchumayo', 'province_id' => '0401'],
            ['id' => '040125', 'description' => 'Vitor', 'province_id' => '0401'],
            ['id' => '040126', 'description' => 'Yanahuara', 'province_id' => '0401'],
            ['id' => '040127', 'description' => 'Yarabamba', 'province_id' => '0401'],
            ['id' => '040128', 'description' => 'Yura', 'province_id' => '0401'],
            ['id' => '040129', 'description' => 'José Luis Bustamante Y Rivero', 'province_id' => '0401'],
            ['id' => '040201', 'description' => 'Camaná', 'province_id' => '0402'],
            ['id' => '040202', 'description' => 'José María Quimper', 'province_id' => '0402'],
            ['id' => '040203', 'description' => 'Mariano Nicolás Valcárcel', 'province_id' => '0402'],
            ['id' => '040204', 'description' => 'Mariscal Cáceres', 'province_id' => '0402'],
            ['id' => '040205', 'description' => 'Nicolás de Pierola', 'province_id' => '0402'],
            ['id' => '040206', 'description' => 'Ocoña', 'province_id' => '0402'],
            ['id' => '040207', 'description' => 'Quilca', 'province_id' => '0402'],
            ['id' => '040208', 'description' => 'Samuel Pastor', 'province_id' => '0402'],
            ['id' => '040301', 'description' => 'Caravelí', 'province_id' => '0403'],
            ['id' => '040302', 'description' => 'Acarí', 'province_id' => '0403'],
            ['id' => '040303', 'description' => 'Atico', 'province_id' => '0403'],
            ['id' => '040304', 'description' => 'Atiquipa', 'province_id' => '0403'],
            ['id' => '040305', 'description' => 'Bella Unión', 'province_id' => '0403'],
            ['id' => '040306', 'description' => 'Cahuacho', 'province_id' => '0403'],
            ['id' => '040307', 'description' => 'Chala', 'province_id' => '0403'],
            ['id' => '040308', 'description' => 'Chaparra', 'province_id' => '0403'],
            ['id' => '040309', 'description' => 'Huanuhuanu', 'province_id' => '0403'],
            ['id' => '040310', 'description' => 'Jaqui', 'province_id' => '0403'],
            ['id' => '040311', 'description' => 'Lomas', 'province_id' => '0403'],
            ['id' => '040312', 'description' => 'Quicacha', 'province_id' => '0403'],
            ['id' => '040313', 'description' => 'Yauca', 'province_id' => '0403'],
            ['id' => '040401', 'description' => 'Aplao', 'province_id' => '0404'],
            ['id' => '040402', 'description' => 'Andagua', 'province_id' => '0404'],
            ['id' => '040403', 'description' => 'Ayo', 'province_id' => '0404'],
            ['id' => '040404', 'description' => 'Chachas', 'province_id' => '0404'],
            ['id' => '040405', 'description' => 'Chilcaymarca', 'province_id' => '0404'],
            ['id' => '040406', 'description' => 'Choco', 'province_id' => '0404'],
            ['id' => '040407', 'description' => 'Huancarqui', 'province_id' => '0404'],
            ['id' => '040408', 'description' => 'Machaguay', 'province_id' => '0404'],
            ['id' => '040409', 'description' => 'Orcopampa', 'province_id' => '0404'],
            ['id' => '040410', 'description' => 'Pampacolca', 'province_id' => '0404'],
            ['id' => '040411', 'description' => 'Tipan', 'province_id' => '0404'],
            ['id' => '040412', 'description' => 'Uñon', 'province_id' => '0404'],
            ['id' => '040413', 'description' => 'Uraca', 'province_id' => '0404'],
            ['id' => '040414', 'description' => 'Viraco', 'province_id' => '0404'],
            ['id' => '040501', 'description' => 'Chivay', 'province_id' => '0405'],
            ['id' => '040502', 'description' => 'Achoma', 'province_id' => '0405'],
            ['id' => '040503', 'description' => 'Cabanaconde', 'province_id' => '0405'],
            ['id' => '040504', 'description' => 'Callalli', 'province_id' => '0405'],
            ['id' => '040505', 'description' => 'Caylloma', 'province_id' => '0405'],
            ['id' => '040506', 'description' => 'Coporaque', 'province_id' => '0405'],
            ['id' => '040507', 'description' => 'Huambo', 'province_id' => '0405'],
            ['id' => '040508', 'description' => 'Huanca', 'province_id' => '0405'],
            ['id' => '040509', 'description' => 'Ichupampa', 'province_id' => '0405'],
            ['id' => '040510', 'description' => 'Lari', 'province_id' => '0405'],
            ['id' => '040511', 'description' => 'Lluta', 'province_id' => '0405'],
            ['id' => '040512', 'description' => 'Maca', 'province_id' => '0405'],
            ['id' => '040513', 'description' => 'Madrigal', 'province_id' => '0405'],
            ['id' => '040514', 'description' => 'San Antonio de Chuca', 'province_id' => '0405'],
            ['id' => '040515', 'description' => 'Sibayo', 'province_id' => '0405'],
            ['id' => '040516', 'description' => 'Tapay', 'province_id' => '0405'],
            ['id' => '040517', 'description' => 'Tisco', 'province_id' => '0405'],
            ['id' => '040518', 'description' => 'Tuti', 'province_id' => '0405'],
            ['id' => '040519', 'description' => 'Yanque', 'province_id' => '0405'],
            ['id' => '040520', 'description' => 'Majes', 'province_id' => '0405'],
            ['id' => '040601', 'description' => 'Chuquibamba', 'province_id' => '0406'],
            ['id' => '040602', 'description' => 'Andaray', 'province_id' => '0406'],
            ['id' => '040603', 'description' => 'Cayarani', 'province_id' => '0406'],
            ['id' => '040604', 'description' => 'Chichas', 'province_id' => '0406'],
            ['id' => '040605', 'description' => 'Iray', 'province_id' => '0406'],
            ['id' => '040606', 'description' => 'Río Grande', 'province_id' => '0406'],
            ['id' => '040607', 'description' => 'Salamanca', 'province_id' => '0406'],
            ['id' => '040608', 'description' => 'Yanaquihua', 'province_id' => '0406'],
            ['id' => '040701', 'description' => 'Mollendo', 'province_id' => '0407'],
            ['id' => '040702', 'description' => 'Cocachacra', 'province_id' => '0407'],
            ['id' => '040703', 'description' => 'Dean Valdivia', 'province_id' => '0407'],
            ['id' => '040704', 'description' => 'Islay', 'province_id' => '0407'],
            ['id' => '040705', 'description' => 'Mejia', 'province_id' => '0407'],
            ['id' => '040706', 'description' => 'Punta de Bombón', 'province_id' => '0407'],
            ['id' => '040801', 'description' => 'Cotahuasi', 'province_id' => '0408'],
            ['id' => '040802', 'description' => 'Alca', 'province_id' => '0408'],
            ['id' => '040803', 'description' => 'Charcana', 'province_id' => '0408'],
            ['id' => '040804', 'description' => 'Huaynacotas', 'province_id' => '0408'],
            ['id' => '040805', 'description' => 'Pampamarca', 'province_id' => '0408'],
            ['id' => '040806', 'description' => 'Puyca', 'province_id' => '0408'],
            ['id' => '040807', 'description' => 'Quechualla', 'province_id' => '0408'],
            ['id' => '040808', 'description' => 'Sayla', 'province_id' => '0408'],
            ['id' => '040809', 'description' => 'Tauria', 'province_id' => '0408'],
            ['id' => '040810', 'description' => 'Tomepampa', 'province_id' => '0408'],
            ['id' => '040811', 'description' => 'Toro', 'province_id' => '0408'],
            ['id' => '050101', 'description' => 'Ayacucho', 'province_id' => '0501'],
            ['id' => '050102', 'description' => 'Acocro', 'province_id' => '0501'],
            ['id' => '050103', 'description' => 'Acos Vinchos', 'province_id' => '0501'],
            ['id' => '050104', 'description' => 'Carmen Alto', 'province_id' => '0501'],
            ['id' => '050105', 'description' => 'Chiara', 'province_id' => '0501'],
            ['id' => '050106', 'description' => 'Ocros', 'province_id' => '0501'],
            ['id' => '050107', 'description' => 'Pacaycasa', 'province_id' => '0501'],
            ['id' => '050108', 'description' => 'Quinua', 'province_id' => '0501'],
            ['id' => '050109', 'description' => 'San José de Ticllas', 'province_id' => '0501'],
            ['id' => '050110', 'description' => 'San Juan Bautista', 'province_id' => '0501'],
            ['id' => '050111', 'description' => 'Santiago de Pischa', 'province_id' => '0501'],
            ['id' => '050112', 'description' => 'Socos', 'province_id' => '0501'],
            ['id' => '050113', 'description' => 'Tambillo', 'province_id' => '0501'],
            ['id' => '050114', 'description' => 'Vinchos', 'province_id' => '0501'],
            ['id' => '050115', 'description' => 'Jesús Nazareno', 'province_id' => '0501'],
            ['id' => '050116', 'description' => 'Andrés Avelino Cáceres Dorregaray', 'province_id' => '0501'],
            ['id' => '050201', 'description' => 'Cangallo', 'province_id' => '0502'],
            ['id' => '050202', 'description' => 'Chuschi', 'province_id' => '0502'],
            ['id' => '050203', 'description' => 'Los Morochucos', 'province_id' => '0502'],
            ['id' => '050204', 'description' => 'María Parado de Bellido', 'province_id' => '0502'],
            ['id' => '050205', 'description' => 'Paras', 'province_id' => '0502'],
            ['id' => '050206', 'description' => 'Totos', 'province_id' => '0502'],
            ['id' => '050301', 'description' => 'Sancos', 'province_id' => '0503'],
            ['id' => '050302', 'description' => 'Carapo', 'province_id' => '0503'],
            ['id' => '050303', 'description' => 'Sacsamarca', 'province_id' => '0503'],
            ['id' => '050304', 'description' => 'Santiago de Lucanamarca', 'province_id' => '0503'],
            ['id' => '050401', 'description' => 'Huanta', 'province_id' => '0504'],
            ['id' => '050402', 'description' => 'Ayahuanco', 'province_id' => '0504'],
            ['id' => '050403', 'description' => 'Huamanguilla', 'province_id' => '0504'],
            ['id' => '050404', 'description' => 'Iguain', 'province_id' => '0504'],
            ['id' => '050405', 'description' => 'Luricocha', 'province_id' => '0504'],
            ['id' => '050406', 'description' => 'Santillana', 'province_id' => '0504'],
            ['id' => '050407', 'description' => 'Sivia', 'province_id' => '0504'],
            ['id' => '050408', 'description' => 'Llochegua', 'province_id' => '0504'],
            ['id' => '050409', 'description' => 'Canayre', 'province_id' => '0504'],
            ['id' => '050410', 'description' => 'Uchuraccay', 'province_id' => '0504'],
            ['id' => '050411', 'description' => 'Pucacolpa', 'province_id' => '0504'],
            ['id' => '050412', 'description' => 'Chaca', 'province_id' => '0504'],
            ['id' => '050501', 'description' => 'San Miguel', 'province_id' => '0505'],
            ['id' => '050502', 'description' => 'Anco', 'province_id' => '0505'],
            ['id' => '050503', 'description' => 'Ayna', 'province_id' => '0505'],
            ['id' => '050504', 'description' => 'Chilcas', 'province_id' => '0505'],
            ['id' => '050505', 'description' => 'Chungui', 'province_id' => '0505'],
            ['id' => '050506', 'description' => 'Luis Carranza', 'province_id' => '0505'],
            ['id' => '050507', 'description' => 'Santa Rosa', 'province_id' => '0505'],
            ['id' => '050508', 'description' => 'Tambo', 'province_id' => '0505'],
            ['id' => '050509', 'description' => 'Samugari', 'province_id' => '0505'],
            ['id' => '050510', 'description' => 'Anchihuay', 'province_id' => '0505'],
            ['id' => '050601', 'description' => 'Puquio', 'province_id' => '0506'],
            ['id' => '050602', 'description' => 'Aucara', 'province_id' => '0506'],
            ['id' => '050603', 'description' => 'Cabana', 'province_id' => '0506'],
            ['id' => '050604', 'description' => 'Carmen Salcedo', 'province_id' => '0506'],
            ['id' => '050605', 'description' => 'Chaviña', 'province_id' => '0506'],
            ['id' => '050606', 'description' => 'Chipao', 'province_id' => '0506'],
            ['id' => '050607', 'description' => 'Huac-Huas', 'province_id' => '0506'],
            ['id' => '050608', 'description' => 'Laramate', 'province_id' => '0506'],
            ['id' => '050609', 'description' => 'Leoncio Prado', 'province_id' => '0506'],
            ['id' => '050610', 'description' => 'Llauta', 'province_id' => '0506'],
            ['id' => '050611', 'description' => 'Lucanas', 'province_id' => '0506'],
            ['id' => '050612', 'description' => 'Ocaña', 'province_id' => '0506'],
            ['id' => '050613', 'description' => 'Otoca', 'province_id' => '0506'],
            ['id' => '050614', 'description' => 'Saisa', 'province_id' => '0506'],
            ['id' => '050615', 'description' => 'San Cristóbal', 'province_id' => '0506'],
            ['id' => '050616', 'description' => 'San Juan', 'province_id' => '0506'],
            ['id' => '050617', 'description' => 'San Pedro', 'province_id' => '0506'],
            ['id' => '050618', 'description' => 'San Pedro de Palco', 'province_id' => '0506'],
            ['id' => '050619', 'description' => 'Sancos', 'province_id' => '0506'],
            ['id' => '050620', 'description' => 'Santa Ana de Huaycahuacho', 'province_id' => '0506'],
            ['id' => '050621', 'description' => 'Santa Lucia', 'province_id' => '0506'],
            ['id' => '050701', 'description' => 'Coracora', 'province_id' => '0507'],
            ['id' => '050702', 'description' => 'Chumpi', 'province_id' => '0507'],
            ['id' => '050703', 'description' => 'Coronel Castañeda', 'province_id' => '0507'],
            ['id' => '050704', 'description' => 'Pacapausa', 'province_id' => '0507'],
            ['id' => '050705', 'description' => 'Pullo', 'province_id' => '0507'],
            ['id' => '050706', 'description' => 'Puyusca', 'province_id' => '0507'],
            ['id' => '050707', 'description' => 'San Francisco de Ravacayco', 'province_id' => '0507'],
            ['id' => '050708', 'description' => 'Upahuacho', 'province_id' => '0507'],
            ['id' => '050801', 'description' => 'Pausa', 'province_id' => '0508'],
            ['id' => '050802', 'description' => 'Colta', 'province_id' => '0508'],
            ['id' => '050803', 'description' => 'Corculla', 'province_id' => '0508'],
            ['id' => '050804', 'description' => 'Lampa', 'province_id' => '0508'],
            ['id' => '050805', 'description' => 'Marcabamba', 'province_id' => '0508'],
            ['id' => '050806', 'description' => 'Oyolo', 'province_id' => '0508'],
            ['id' => '050807', 'description' => 'Pararca', 'province_id' => '0508'],
            ['id' => '050808', 'description' => 'San Javier de Alpabamba', 'province_id' => '0508'],
            ['id' => '050809', 'description' => 'San José de Ushua', 'province_id' => '0508'],
            ['id' => '050810', 'description' => 'Sara Sara', 'province_id' => '0508'],
            ['id' => '050901', 'description' => 'Querobamba', 'province_id' => '0509'],
            ['id' => '050902', 'description' => 'Belén', 'province_id' => '0509'],
            ['id' => '050903', 'description' => 'Chalcos', 'province_id' => '0509'],
            ['id' => '050904', 'description' => 'Chilcayoc', 'province_id' => '0509'],
            ['id' => '050905', 'description' => 'Huacaña', 'province_id' => '0509'],
            ['id' => '050906', 'description' => 'Morcolla', 'province_id' => '0509'],
            ['id' => '050907', 'description' => 'Paico', 'province_id' => '0509'],
            ['id' => '050908', 'description' => 'San Pedro de Larcay', 'province_id' => '0509'],
            ['id' => '050909', 'description' => 'San Salvador de Quije', 'province_id' => '0509'],
            ['id' => '050910', 'description' => 'Santiago de Paucaray', 'province_id' => '0509'],
            ['id' => '050911', 'description' => 'Soras', 'province_id' => '0509'],
            ['id' => '051001', 'description' => 'Huancapi', 'province_id' => '0510'],
            ['id' => '051002', 'description' => 'Alcamenca', 'province_id' => '0510'],
            ['id' => '051003', 'description' => 'Apongo', 'province_id' => '0510'],
            ['id' => '051004', 'description' => 'Asquipata', 'province_id' => '0510'],
            ['id' => '051005', 'description' => 'Canaria', 'province_id' => '0510'],
            ['id' => '051006', 'description' => 'Cayara', 'province_id' => '0510'],
            ['id' => '051007', 'description' => 'Colca', 'province_id' => '0510'],
            ['id' => '051008', 'description' => 'Huamanquiquia', 'province_id' => '0510'],
            ['id' => '051009', 'description' => 'Huancaraylla', 'province_id' => '0510'],
            ['id' => '051010', 'description' => 'Huaya', 'province_id' => '0510'],
            ['id' => '051011', 'description' => 'Sarhua', 'province_id' => '0510'],
            ['id' => '051012', 'description' => 'Vilcanchos', 'province_id' => '0510'],
            ['id' => '051101', 'description' => 'Vilcas Huaman', 'province_id' => '0511'],
            ['id' => '051102', 'description' => 'Accomarca', 'province_id' => '0511'],
            ['id' => '051103', 'description' => 'Carhuanca', 'province_id' => '0511'],
            ['id' => '051104', 'description' => 'Concepción', 'province_id' => '0511'],
            ['id' => '051105', 'description' => 'Huambalpa', 'province_id' => '0511'],
            ['id' => '051106', 'description' => 'Independencia', 'province_id' => '0511'],
            ['id' => '051107', 'description' => 'Saurama', 'province_id' => '0511'],
            ['id' => '051108', 'description' => 'Vischongo', 'province_id' => '0511'],
            ['id' => '060101', 'description' => 'Cajamarca', 'province_id' => '0601'],
            ['id' => '060102', 'description' => 'Asunción', 'province_id' => '0601'],
            ['id' => '060103', 'description' => 'Chetilla', 'province_id' => '0601'],
            ['id' => '060104', 'description' => 'Cospan', 'province_id' => '0601'],
            ['id' => '060105', 'description' => 'Encañada', 'province_id' => '0601'],
            ['id' => '060106', 'description' => 'Jesús', 'province_id' => '0601'],
            ['id' => '060107', 'description' => 'Llacanora', 'province_id' => '0601'],
            ['id' => '060108', 'description' => 'Los Baños del Inca', 'province_id' => '0601'],
            ['id' => '060109', 'description' => 'Magdalena', 'province_id' => '0601'],
            ['id' => '060110', 'description' => 'Matara', 'province_id' => '0601'],
            ['id' => '060111', 'description' => 'Namora', 'province_id' => '0601'],
            ['id' => '060112', 'description' => 'San Juan', 'province_id' => '0601'],
            ['id' => '060201', 'description' => 'Cajabamba', 'province_id' => '0602'],
            ['id' => '060202', 'description' => 'Cachachi', 'province_id' => '0602'],
            ['id' => '060203', 'description' => 'Condebamba', 'province_id' => '0602'],
            ['id' => '060204', 'description' => 'Sitacocha', 'province_id' => '0602'],
            ['id' => '060301', 'description' => 'Celendín', 'province_id' => '0603'],
            ['id' => '060302', 'description' => 'Chumuch', 'province_id' => '0603'],
            ['id' => '060303', 'description' => 'Cortegana', 'province_id' => '0603'],
            ['id' => '060304', 'description' => 'Huasmin', 'province_id' => '0603'],
            ['id' => '060305', 'description' => 'Jorge Chávez', 'province_id' => '0603'],
            ['id' => '060306', 'description' => 'José Gálvez', 'province_id' => '0603'],
            ['id' => '060307', 'description' => 'Miguel Iglesias', 'province_id' => '0603'],
            ['id' => '060308', 'description' => 'Oxamarca', 'province_id' => '0603'],
            ['id' => '060309', 'description' => 'Sorochuco', 'province_id' => '0603'],
            ['id' => '060310', 'description' => 'Sucre', 'province_id' => '0603'],
            ['id' => '060311', 'description' => 'Utco', 'province_id' => '0603'],
            ['id' => '060312', 'description' => 'La Libertad de Pallan', 'province_id' => '0603'],
            ['id' => '060401', 'description' => 'Chota', 'province_id' => '0604'],
            ['id' => '060402', 'description' => 'Anguia', 'province_id' => '0604'],
            ['id' => '060403', 'description' => 'Chadin', 'province_id' => '0604'],
            ['id' => '060404', 'description' => 'Chiguirip', 'province_id' => '0604'],
            ['id' => '060405', 'description' => 'Chimban', 'province_id' => '0604'],
            ['id' => '060406', 'description' => 'Choropampa', 'province_id' => '0604'],
            ['id' => '060407', 'description' => 'Cochabamba', 'province_id' => '0604'],
            ['id' => '060408', 'description' => 'Conchan', 'province_id' => '0604'],
            ['id' => '060409', 'description' => 'Huambos', 'province_id' => '0604'],
            ['id' => '060410', 'description' => 'Lajas', 'province_id' => '0604'],
            ['id' => '060411', 'description' => 'Llama', 'province_id' => '0604'],
            ['id' => '060412', 'description' => 'Miracosta', 'province_id' => '0604'],
            ['id' => '060413', 'description' => 'Paccha', 'province_id' => '0604'],
            ['id' => '060414', 'description' => 'Pion', 'province_id' => '0604'],
            ['id' => '060415', 'description' => 'Querocoto', 'province_id' => '0604'],
            ['id' => '060416', 'description' => 'San Juan de Licupis', 'province_id' => '0604'],
            ['id' => '060417', 'description' => 'Tacabamba', 'province_id' => '0604'],
            ['id' => '060418', 'description' => 'Tocmoche', 'province_id' => '0604'],
            ['id' => '060419', 'description' => 'Chalamarca', 'province_id' => '0604'],
            ['id' => '060501', 'description' => 'Contumaza', 'province_id' => '0605'],
            ['id' => '060502', 'description' => 'Chilete', 'province_id' => '0605'],
            ['id' => '060503', 'description' => 'Cupisnique', 'province_id' => '0605'],
            ['id' => '060504', 'description' => 'Guzmango', 'province_id' => '0605'],
            ['id' => '060505', 'description' => 'San Benito', 'province_id' => '0605'],
            ['id' => '060506', 'description' => 'Santa Cruz de Toledo', 'province_id' => '0605'],
            ['id' => '060507', 'description' => 'Tantarica', 'province_id' => '0605'],
            ['id' => '060508', 'description' => 'Yonan', 'province_id' => '0605'],
            ['id' => '060601', 'description' => 'Cutervo', 'province_id' => '0606'],
            ['id' => '060602', 'description' => 'Callayuc', 'province_id' => '0606'],
            ['id' => '060603', 'description' => 'Choros', 'province_id' => '0606'],
            ['id' => '060604', 'description' => 'Cujillo', 'province_id' => '0606'],
            ['id' => '060605', 'description' => 'La Ramada', 'province_id' => '0606'],
            ['id' => '060606', 'description' => 'Pimpingos', 'province_id' => '0606'],
            ['id' => '060607', 'description' => 'Querocotillo', 'province_id' => '0606'],
            ['id' => '060608', 'description' => 'San Andrés de Cutervo', 'province_id' => '0606'],
            ['id' => '060609', 'description' => 'San Juan de Cutervo', 'province_id' => '0606'],
            ['id' => '060610', 'description' => 'San Luis de Lucma', 'province_id' => '0606'],
            ['id' => '060611', 'description' => 'Santa Cruz', 'province_id' => '0606'],
            ['id' => '060612', 'description' => 'Santo Domingo de la Capilla', 'province_id' => '0606'],
            ['id' => '060613', 'description' => 'Santo Tomas', 'province_id' => '0606'],
            ['id' => '060614', 'description' => 'Socota', 'province_id' => '0606'],
            ['id' => '060615', 'description' => 'Toribio Casanova', 'province_id' => '0606'],
            ['id' => '060701', 'description' => 'Bambamarca', 'province_id' => '0607'],
            ['id' => '060702', 'description' => 'Chugur', 'province_id' => '0607'],
            ['id' => '060703', 'description' => 'Hualgayoc', 'province_id' => '0607'],
            ['id' => '060801', 'description' => 'Jaén', 'province_id' => '0608'],
            ['id' => '060802', 'description' => 'Bellavista', 'province_id' => '0608'],
            ['id' => '060803', 'description' => 'Chontali', 'province_id' => '0608'],
            ['id' => '060804', 'description' => 'Colasay', 'province_id' => '0608'],
            ['id' => '060805', 'description' => 'Huabal', 'province_id' => '0608'],
            ['id' => '060806', 'description' => 'Las Pirias', 'province_id' => '0608'],
            ['id' => '060807', 'description' => 'Pomahuaca', 'province_id' => '0608'],
            ['id' => '060808', 'description' => 'Pucara', 'province_id' => '0608'],
            ['id' => '060809', 'description' => 'Sallique', 'province_id' => '0608'],
            ['id' => '060810', 'description' => 'San Felipe', 'province_id' => '0608'],
            ['id' => '060811', 'description' => 'San José del Alto', 'province_id' => '0608'],
            ['id' => '060812', 'description' => 'Santa Rosa', 'province_id' => '0608'],
            ['id' => '060901', 'description' => 'San Ignacio', 'province_id' => '0609'],
            ['id' => '060902', 'description' => 'Chirinos', 'province_id' => '0609'],
            ['id' => '060903', 'description' => 'Huarango', 'province_id' => '0609'],
            ['id' => '060904', 'description' => 'La Coipa', 'province_id' => '0609'],
            ['id' => '060905', 'description' => 'Namballe', 'province_id' => '0609'],
            ['id' => '060906', 'description' => 'San José de Lourdes', 'province_id' => '0609'],
            ['id' => '060907', 'description' => 'Tabaconas', 'province_id' => '0609'],
            ['id' => '061001', 'description' => 'Pedro Gálvez', 'province_id' => '0610'],
            ['id' => '061002', 'description' => 'Chancay', 'province_id' => '0610'],
            ['id' => '061003', 'description' => 'Eduardo Villanueva', 'province_id' => '0610'],
            ['id' => '061004', 'description' => 'Gregorio Pita', 'province_id' => '0610'],
            ['id' => '061005', 'description' => 'Ichocan', 'province_id' => '0610'],
            ['id' => '061006', 'description' => 'José Manuel Quiroz', 'province_id' => '0610'],
            ['id' => '061007', 'description' => 'José Sabogal', 'province_id' => '0610'],
            ['id' => '061101', 'description' => 'San Miguel', 'province_id' => '0611'],
            ['id' => '061102', 'description' => 'Bolívar', 'province_id' => '0611'],
            ['id' => '061103', 'description' => 'Calquis', 'province_id' => '0611'],
            ['id' => '061104', 'description' => 'Catilluc', 'province_id' => '0611'],
            ['id' => '061105', 'description' => 'El Prado', 'province_id' => '0611'],
            ['id' => '061106', 'description' => 'La Florida', 'province_id' => '0611'],
            ['id' => '061107', 'description' => 'Llapa', 'province_id' => '0611'],
            ['id' => '061108', 'description' => 'Nanchoc', 'province_id' => '0611'],
            ['id' => '061109', 'description' => 'Niepos', 'province_id' => '0611'],
            ['id' => '061110', 'description' => 'San Gregorio', 'province_id' => '0611'],
            ['id' => '061111', 'description' => 'San Silvestre de Cochan', 'province_id' => '0611'],
            ['id' => '061112', 'description' => 'Tongod', 'province_id' => '0611'],
            ['id' => '061113', 'description' => 'Unión Agua Blanca', 'province_id' => '0611'],
            ['id' => '061201', 'description' => 'San Pablo', 'province_id' => '0612'],
            ['id' => '061202', 'description' => 'San Bernardino', 'province_id' => '0612'],
            ['id' => '061203', 'description' => 'San Luis', 'province_id' => '0612'],
            ['id' => '061204', 'description' => 'Tumbaden', 'province_id' => '0612'],
            ['id' => '061301', 'description' => 'Santa Cruz', 'province_id' => '0613'],
            ['id' => '061302', 'description' => 'Andabamba', 'province_id' => '0613'],
            ['id' => '061303', 'description' => 'Catache', 'province_id' => '0613'],
            ['id' => '061304', 'description' => 'Chancaybaños', 'province_id' => '0613'],
            ['id' => '061305', 'description' => 'La Esperanza', 'province_id' => '0613'],
            ['id' => '061306', 'description' => 'Ninabamba', 'province_id' => '0613'],
            ['id' => '061307', 'description' => 'Pulan', 'province_id' => '0613'],
            ['id' => '061308', 'description' => 'Saucepampa', 'province_id' => '0613'],
            ['id' => '061309', 'description' => 'Sexi', 'province_id' => '0613'],
            ['id' => '061310', 'description' => 'Uticyacu', 'province_id' => '0613'],
            ['id' => '061311', 'description' => 'Yauyucan', 'province_id' => '0613'],
            ['id' => '070101', 'description' => 'Callao', 'province_id' => '0701'],
            ['id' => '070102', 'description' => 'Bellavista', 'province_id' => '0701'],
            ['id' => '070103', 'description' => 'Carmen de la Legua Reynoso', 'province_id' => '0701'],
            ['id' => '070104', 'description' => 'La Perla', 'province_id' => '0701'],
            ['id' => '070105', 'description' => 'La Punta', 'province_id' => '0701'],
            ['id' => '070106', 'description' => 'Ventanilla', 'province_id' => '0701'],
            ['id' => '070107', 'description' => 'Mi Perú', 'province_id' => '0701'],
            ['id' => '080101', 'description' => 'Cusco', 'province_id' => '0801'],
            ['id' => '080102', 'description' => 'Ccorca', 'province_id' => '0801'],
            ['id' => '080103', 'description' => 'Poroy', 'province_id' => '0801'],
            ['id' => '080104', 'description' => 'San Jerónimo', 'province_id' => '0801'],
            ['id' => '080105', 'description' => 'San Sebastian', 'province_id' => '0801'],
            ['id' => '080106', 'description' => 'Santiago', 'province_id' => '0801'],
            ['id' => '080107', 'description' => 'Saylla', 'province_id' => '0801'],
            ['id' => '080108', 'description' => 'Wanchaq', 'province_id' => '0801'],
            ['id' => '080201', 'description' => 'Acomayo', 'province_id' => '0802'],
            ['id' => '080202', 'description' => 'Acopia', 'province_id' => '0802'],
            ['id' => '080203', 'description' => 'Acos', 'province_id' => '0802'],
            ['id' => '080204', 'description' => 'Mosoc Llacta', 'province_id' => '0802'],
            ['id' => '080205', 'description' => 'Pomacanchi', 'province_id' => '0802'],
            ['id' => '080206', 'description' => 'Rondocan', 'province_id' => '0802'],
            ['id' => '080207', 'description' => 'Sangarara', 'province_id' => '0802'],
            ['id' => '080301', 'description' => 'Anta', 'province_id' => '0803'],
            ['id' => '080302', 'description' => 'Ancahuasi', 'province_id' => '0803'],
            ['id' => '080303', 'description' => 'Cachimayo', 'province_id' => '0803'],
            ['id' => '080304', 'description' => 'Chinchaypujio', 'province_id' => '0803'],
            ['id' => '080305', 'description' => 'Huarocondo', 'province_id' => '0803'],
            ['id' => '080306', 'description' => 'Limatambo', 'province_id' => '0803'],
            ['id' => '080307', 'description' => 'Mollepata', 'province_id' => '0803'],
            ['id' => '080308', 'description' => 'Pucyura', 'province_id' => '0803'],
            ['id' => '080309', 'description' => 'Zurite', 'province_id' => '0803'],
            ['id' => '080401', 'description' => 'Calca', 'province_id' => '0804'],
            ['id' => '080402', 'description' => 'Coya', 'province_id' => '0804'],
            ['id' => '080403', 'description' => 'Lamay', 'province_id' => '0804'],
            ['id' => '080404', 'description' => 'Lares', 'province_id' => '0804'],
            ['id' => '080405', 'description' => 'Pisac', 'province_id' => '0804'],
            ['id' => '080406', 'description' => 'San Salvador', 'province_id' => '0804'],
            ['id' => '080407', 'description' => 'Taray', 'province_id' => '0804'],
            ['id' => '080408', 'description' => 'Yanatile', 'province_id' => '0804'],
            ['id' => '080501', 'description' => 'Yanaoca', 'province_id' => '0805'],
            ['id' => '080502', 'description' => 'Checca', 'province_id' => '0805'],
            ['id' => '080503', 'description' => 'Kunturkanki', 'province_id' => '0805'],
            ['id' => '080504', 'description' => 'Langui', 'province_id' => '0805'],
            ['id' => '080505', 'description' => 'Layo', 'province_id' => '0805'],
            ['id' => '080506', 'description' => 'Pampamarca', 'province_id' => '0805'],
            ['id' => '080507', 'description' => 'Quehue', 'province_id' => '0805'],
            ['id' => '080508', 'description' => 'Tupac Amaru', 'province_id' => '0805'],
            ['id' => '080601', 'description' => 'Sicuani', 'province_id' => '0806'],
            ['id' => '080602', 'description' => 'Checacupe', 'province_id' => '0806'],
            ['id' => '080603', 'description' => 'Combapata', 'province_id' => '0806'],
            ['id' => '080604', 'description' => 'Marangani', 'province_id' => '0806'],
            ['id' => '080605', 'description' => 'Pitumarca', 'province_id' => '0806'],
            ['id' => '080606', 'description' => 'San Pablo', 'province_id' => '0806'],
            ['id' => '080607', 'description' => 'San Pedro', 'province_id' => '0806'],
            ['id' => '080608', 'description' => 'Tinta', 'province_id' => '0806'],
            ['id' => '080701', 'description' => 'Santo Tomas', 'province_id' => '0807'],
            ['id' => '080702', 'description' => 'Capacmarca', 'province_id' => '0807'],
            ['id' => '080703', 'description' => 'Chamaca', 'province_id' => '0807'],
            ['id' => '080704', 'description' => 'Colquemarca', 'province_id' => '0807'],
            ['id' => '080705', 'description' => 'Livitaca', 'province_id' => '0807'],
            ['id' => '080706', 'description' => 'Llusco', 'province_id' => '0807'],
            ['id' => '080707', 'description' => 'Quiñota', 'province_id' => '0807'],
            ['id' => '080708', 'description' => 'Velille', 'province_id' => '0807'],
            ['id' => '080801', 'description' => 'Espinar', 'province_id' => '0808'],
            ['id' => '080802', 'description' => 'Condoroma', 'province_id' => '0808'],
            ['id' => '080803', 'description' => 'Coporaque', 'province_id' => '0808'],
            ['id' => '080804', 'description' => 'Ocoruro', 'province_id' => '0808'],
            ['id' => '080805', 'description' => 'Pallpata', 'province_id' => '0808'],
            ['id' => '080806', 'description' => 'Pichigua', 'province_id' => '0808'],
            ['id' => '080807', 'description' => 'Suyckutambo', 'province_id' => '0808'],
            ['id' => '080808', 'description' => 'Alto Pichigua', 'province_id' => '0808'],
            ['id' => '080901', 'description' => 'Santa Ana', 'province_id' => '0809'],
            ['id' => '080902', 'description' => 'Echarate', 'province_id' => '0809'],
            ['id' => '080903', 'description' => 'Huayopata', 'province_id' => '0809'],
            ['id' => '080904', 'description' => 'Maranura', 'province_id' => '0809'],
            ['id' => '080905', 'description' => 'Ocobamba', 'province_id' => '0809'],
            ['id' => '080906', 'description' => 'Quellouno', 'province_id' => '0809'],
            ['id' => '080907', 'description' => 'Kimbiri', 'province_id' => '0809'],
            ['id' => '080908', 'description' => 'Santa Teresa', 'province_id' => '0809'],
            ['id' => '080909', 'description' => 'Vilcabamba', 'province_id' => '0809'],
            ['id' => '080910', 'description' => 'Pichari', 'province_id' => '0809'],
            ['id' => '080911', 'description' => 'Inkawasi', 'province_id' => '0809'],
            ['id' => '080912', 'description' => 'Villa Virgen', 'province_id' => '0809'],
            ['id' => '080913', 'description' => 'Villa Kintiarina', 'province_id' => '0809'],
            ['id' => '081001', 'description' => 'Paruro', 'province_id' => '0810'],
            ['id' => '081002', 'description' => 'Accha', 'province_id' => '0810'],
            ['id' => '081003', 'description' => 'Ccapi', 'province_id' => '0810'],
            ['id' => '081004', 'description' => 'Colcha', 'province_id' => '0810'],
            ['id' => '081005', 'description' => 'Huanoquite', 'province_id' => '0810'],
            ['id' => '081006', 'description' => 'Omacha', 'province_id' => '0810'],
            ['id' => '081007', 'description' => 'Paccaritambo', 'province_id' => '0810'],
            ['id' => '081008', 'description' => 'Pillpinto', 'province_id' => '0810'],
            ['id' => '081009', 'description' => 'Yaurisque', 'province_id' => '0810'],
            ['id' => '081101', 'description' => 'Paucartambo', 'province_id' => '0811'],
            ['id' => '081102', 'description' => 'Caicay', 'province_id' => '0811'],
            ['id' => '081103', 'description' => 'Challabamba', 'province_id' => '0811'],
            ['id' => '081104', 'description' => 'Colquepata', 'province_id' => '0811'],
            ['id' => '081105', 'description' => 'Huancarani', 'province_id' => '0811'],
            ['id' => '081106', 'description' => 'Kosñipata', 'province_id' => '0811'],
            ['id' => '081201', 'description' => 'Urcos', 'province_id' => '0812'],
            ['id' => '081202', 'description' => 'Andahuaylillas', 'province_id' => '0812'],
            ['id' => '081203', 'description' => 'Camanti', 'province_id' => '0812'],
            ['id' => '081204', 'description' => 'Ccarhuayo', 'province_id' => '0812'],
            ['id' => '081205', 'description' => 'Ccatca', 'province_id' => '0812'],
            ['id' => '081206', 'description' => 'Cusipata', 'province_id' => '0812'],
            ['id' => '081207', 'description' => 'Huaro', 'province_id' => '0812'],
            ['id' => '081208', 'description' => 'Lucre', 'province_id' => '0812'],
            ['id' => '081209', 'description' => 'Marcapata', 'province_id' => '0812'],
            ['id' => '081210', 'description' => 'Ocongate', 'province_id' => '0812'],
            ['id' => '081211', 'description' => 'Oropesa', 'province_id' => '0812'],
            ['id' => '081212', 'description' => 'Quiquijana', 'province_id' => '0812'],
            ['id' => '081301', 'description' => 'Urubamba', 'province_id' => '0813'],
            ['id' => '081302', 'description' => 'Chinchero', 'province_id' => '0813'],
            ['id' => '081303', 'description' => 'Huayllabamba', 'province_id' => '0813'],
            ['id' => '081304', 'description' => 'Machupicchu', 'province_id' => '0813'],
            ['id' => '081305', 'description' => 'Maras', 'province_id' => '0813'],
            ['id' => '081306', 'description' => 'Ollantaytambo', 'province_id' => '0813'],
            ['id' => '081307', 'description' => 'Yucay', 'province_id' => '0813'],
            ['id' => '090101', 'description' => 'Huancavelica', 'province_id' => '0901'],
            ['id' => '090102', 'description' => 'Acobambilla', 'province_id' => '0901'],
            ['id' => '090103', 'description' => 'Acoria', 'province_id' => '0901'],
            ['id' => '090104', 'description' => 'Conayca', 'province_id' => '0901'],
            ['id' => '090105', 'description' => 'Cuenca', 'province_id' => '0901'],
            ['id' => '090106', 'description' => 'Huachocolpa', 'province_id' => '0901'],
            ['id' => '090107', 'description' => 'Huayllahuara', 'province_id' => '0901'],
            ['id' => '090108', 'description' => 'Izcuchaca', 'province_id' => '0901'],
            ['id' => '090109', 'description' => 'Laria', 'province_id' => '0901'],
            ['id' => '090110', 'description' => 'Manta', 'province_id' => '0901'],
            ['id' => '090111', 'description' => 'Mariscal Cáceres', 'province_id' => '0901'],
            ['id' => '090112', 'description' => 'Moya', 'province_id' => '0901'],
            ['id' => '090113', 'description' => 'Nuevo Occoro', 'province_id' => '0901'],
            ['id' => '090114', 'description' => 'Palca', 'province_id' => '0901'],
            ['id' => '090115', 'description' => 'Pilchaca', 'province_id' => '0901'],
            ['id' => '090116', 'description' => 'Vilca', 'province_id' => '0901'],
            ['id' => '090117', 'description' => 'Yauli', 'province_id' => '0901'],
            ['id' => '090118', 'description' => 'Ascensión', 'province_id' => '0901'],
            ['id' => '090119', 'description' => 'Huando', 'province_id' => '0901'],
            ['id' => '090201', 'description' => 'Acobamba', 'province_id' => '0902'],
            ['id' => '090202', 'description' => 'Andabamba', 'province_id' => '0902'],
            ['id' => '090203', 'description' => 'Anta', 'province_id' => '0902'],
            ['id' => '090204', 'description' => 'Caja', 'province_id' => '0902'],
            ['id' => '090205', 'description' => 'Marcas', 'province_id' => '0902'],
            ['id' => '090206', 'description' => 'Paucara', 'province_id' => '0902'],
            ['id' => '090207', 'description' => 'Pomacocha', 'province_id' => '0902'],
            ['id' => '090208', 'description' => 'Rosario', 'province_id' => '0902'],
            ['id' => '090301', 'description' => 'Lircay', 'province_id' => '0903'],
            ['id' => '090302', 'description' => 'Anchonga', 'province_id' => '0903'],
            ['id' => '090303', 'description' => 'Callanmarca', 'province_id' => '0903'],
            ['id' => '090304', 'description' => 'Ccochaccasa', 'province_id' => '0903'],
            ['id' => '090305', 'description' => 'Chincho', 'province_id' => '0903'],
            ['id' => '090306', 'description' => 'Congalla', 'province_id' => '0903'],
            ['id' => '090307', 'description' => 'Huanca-Huanca', 'province_id' => '0903'],
            ['id' => '090308', 'description' => 'Huayllay Grande', 'province_id' => '0903'],
            ['id' => '090309', 'description' => 'Julcamarca', 'province_id' => '0903'],
            ['id' => '090310', 'description' => 'San Antonio de Antaparco', 'province_id' => '0903'],
            ['id' => '090311', 'description' => 'Santo Tomas de Pata', 'province_id' => '0903'],
            ['id' => '090312', 'description' => 'Secclla', 'province_id' => '0903'],
            ['id' => '090401', 'description' => 'Castrovirreyna', 'province_id' => '0904'],
            ['id' => '090402', 'description' => 'Arma', 'province_id' => '0904'],
            ['id' => '090403', 'description' => 'Aurahua', 'province_id' => '0904'],
            ['id' => '090404', 'description' => 'Capillas', 'province_id' => '0904'],
            ['id' => '090405', 'description' => 'Chupamarca', 'province_id' => '0904'],
            ['id' => '090406', 'description' => 'Cocas', 'province_id' => '0904'],
            ['id' => '090407', 'description' => 'Huachos', 'province_id' => '0904'],
            ['id' => '090408', 'description' => 'Huamatambo', 'province_id' => '0904'],
            ['id' => '090409', 'description' => 'Mollepampa', 'province_id' => '0904'],
            ['id' => '090410', 'description' => 'San Juan', 'province_id' => '0904'],
            ['id' => '090411', 'description' => 'Santa Ana', 'province_id' => '0904'],
            ['id' => '090412', 'description' => 'Tantara', 'province_id' => '0904'],
            ['id' => '090413', 'description' => 'Ticrapo', 'province_id' => '0904'],
            ['id' => '090501', 'description' => 'Churcampa', 'province_id' => '0905'],
            ['id' => '090502', 'description' => 'Anco', 'province_id' => '0905'],
            ['id' => '090503', 'description' => 'Chinchihuasi', 'province_id' => '0905'],
            ['id' => '090504', 'description' => 'El Carmen', 'province_id' => '0905'],
            ['id' => '090505', 'description' => 'La Merced', 'province_id' => '0905'],
            ['id' => '090506', 'description' => 'Locroja', 'province_id' => '0905'],
            ['id' => '090507', 'description' => 'Paucarbamba', 'province_id' => '0905'],
            ['id' => '090508', 'description' => 'San Miguel de Mayocc', 'province_id' => '0905'],
            ['id' => '090509', 'description' => 'San Pedro de Coris', 'province_id' => '0905'],
            ['id' => '090510', 'description' => 'Pachamarca', 'province_id' => '0905'],
            ['id' => '090511', 'description' => 'Cosme', 'province_id' => '0905'],
            ['id' => '090601', 'description' => 'Huaytara', 'province_id' => '0906'],
            ['id' => '090602', 'description' => 'Ayavi', 'province_id' => '0906'],
            ['id' => '090603', 'description' => 'Córdova', 'province_id' => '0906'],
            ['id' => '090604', 'description' => 'Huayacundo Arma', 'province_id' => '0906'],
            ['id' => '090605', 'description' => 'Laramarca', 'province_id' => '0906'],
            ['id' => '090606', 'description' => 'Ocoyo', 'province_id' => '0906'],
            ['id' => '090607', 'description' => 'Pilpichaca', 'province_id' => '0906'],
            ['id' => '090608', 'description' => 'Querco', 'province_id' => '0906'],
            ['id' => '090609', 'description' => 'Quito-Arma', 'province_id' => '0906'],
            ['id' => '090610', 'description' => 'San Antonio de Cusicancha', 'province_id' => '0906'],
            ['id' => '090611', 'description' => 'San Francisco de Sangayaico', 'province_id' => '0906'],
            ['id' => '090612', 'description' => 'San Isidro', 'province_id' => '0906'],
            ['id' => '090613', 'description' => 'Santiago de Chocorvos', 'province_id' => '0906'],
            ['id' => '090614', 'description' => 'Santiago de Quirahuara', 'province_id' => '0906'],
            ['id' => '090615', 'description' => 'Santo Domingo de Capillas', 'province_id' => '0906'],
            ['id' => '090616', 'description' => 'Tambo', 'province_id' => '0906'],
            ['id' => '090701', 'description' => 'Pampas', 'province_id' => '0907'],
            ['id' => '090702', 'description' => 'Acostambo', 'province_id' => '0907'],
            ['id' => '090703', 'description' => 'Acraquia', 'province_id' => '0907'],
            ['id' => '090704', 'description' => 'Ahuaycha', 'province_id' => '0907'],
            ['id' => '090705', 'description' => 'Colcabamba', 'province_id' => '0907'],
            ['id' => '090706', 'description' => 'Daniel Hernández', 'province_id' => '0907'],
            ['id' => '090707', 'description' => 'Huachocolpa', 'province_id' => '0907'],
            ['id' => '090709', 'description' => 'Huaribamba', 'province_id' => '0907'],
            ['id' => '090710', 'description' => 'Ñahuimpuquio', 'province_id' => '0907'],
            ['id' => '090711', 'description' => 'Pazos', 'province_id' => '0907'],
            ['id' => '090713', 'description' => 'Quishuar', 'province_id' => '0907'],
            ['id' => '090714', 'description' => 'Salcabamba', 'province_id' => '0907'],
            ['id' => '090715', 'description' => 'Salcahuasi', 'province_id' => '0907'],
            ['id' => '090716', 'description' => 'San Marcos de Rocchac', 'province_id' => '0907'],
            ['id' => '090717', 'description' => 'Surcubamba', 'province_id' => '0907'],
            ['id' => '090718', 'description' => 'Tintay Puncu', 'province_id' => '0907'],
            ['id' => '090719', 'description' => 'Quichuas', 'province_id' => '0907'],
            ['id' => '090720', 'description' => 'Andaymarca', 'province_id' => '0907'],
            ['id' => '090721', 'description' => 'Roble', 'province_id' => '0907'],
            ['id' => '090722', 'description' => 'Pichos', 'province_id' => '0907'],
            ['id' => '100101', 'description' => 'Huanuco', 'province_id' => '1001'],
            ['id' => '100102', 'description' => 'Amarilis', 'province_id' => '1001'],
            ['id' => '100103', 'description' => 'Chinchao', 'province_id' => '1001'],
            ['id' => '100104', 'description' => 'Churubamba', 'province_id' => '1001'],
            ['id' => '100105', 'description' => 'Margos', 'province_id' => '1001'],
            ['id' => '100106', 'description' => 'Quisqui (Kichki)', 'province_id' => '1001'],
            ['id' => '100107', 'description' => 'San Francisco de Cayran', 'province_id' => '1001'],
            ['id' => '100108', 'description' => 'San Pedro de Chaulan', 'province_id' => '1001'],
            ['id' => '100109', 'description' => 'Santa María del Valle', 'province_id' => '1001'],
            ['id' => '100110', 'description' => 'Yarumayo', 'province_id' => '1001'],
            ['id' => '100111', 'description' => 'Pillco Marca', 'province_id' => '1001'],
            ['id' => '100112', 'description' => 'Yacus', 'province_id' => '1001'],
            ['id' => '100113', 'description' => 'San Pablo de Pillao', 'province_id' => '1001'],
            ['id' => '100201', 'description' => 'Ambo', 'province_id' => '1002'],
            ['id' => '100202', 'description' => 'Cayna', 'province_id' => '1002'],
            ['id' => '100203', 'description' => 'Colpas', 'province_id' => '1002'],
            ['id' => '100204', 'description' => 'Conchamarca', 'province_id' => '1002'],
            ['id' => '100205', 'description' => 'Huacar', 'province_id' => '1002'],
            ['id' => '100206', 'description' => 'San Francisco', 'province_id' => '1002'],
            ['id' => '100207', 'description' => 'San Rafael', 'province_id' => '1002'],
            ['id' => '100208', 'description' => 'Tomay Kichwa', 'province_id' => '1002'],
            ['id' => '100301', 'description' => 'La Unión', 'province_id' => '1003'],
            ['id' => '100307', 'description' => 'Chuquis', 'province_id' => '1003'],
            ['id' => '100311', 'description' => 'Marías', 'province_id' => '1003'],
            ['id' => '100313', 'description' => 'Pachas', 'province_id' => '1003'],
            ['id' => '100316', 'description' => 'Quivilla', 'province_id' => '1003'],
            ['id' => '100317', 'description' => 'Ripan', 'province_id' => '1003'],
            ['id' => '100321', 'description' => 'Shunqui', 'province_id' => '1003'],
            ['id' => '100322', 'description' => 'Sillapata', 'province_id' => '1003'],
            ['id' => '100323', 'description' => 'Yanas', 'province_id' => '1003'],
            ['id' => '100401', 'description' => 'Huacaybamba', 'province_id' => '1004'],
            ['id' => '100402', 'description' => 'Canchabamba', 'province_id' => '1004'],
            ['id' => '100403', 'description' => 'Cochabamba', 'province_id' => '1004'],
            ['id' => '100404', 'description' => 'Pinra', 'province_id' => '1004'],
            ['id' => '100501', 'description' => 'Llata', 'province_id' => '1005'],
            ['id' => '100502', 'description' => 'Arancay', 'province_id' => '1005'],
            ['id' => '100503', 'description' => 'Chavín de Pariarca', 'province_id' => '1005'],
            ['id' => '100504', 'description' => 'Jacas Grande', 'province_id' => '1005'],
            ['id' => '100505', 'description' => 'Jircan', 'province_id' => '1005'],
            ['id' => '100506', 'description' => 'Miraflores', 'province_id' => '1005'],
            ['id' => '100507', 'description' => 'Monzón', 'province_id' => '1005'],
            ['id' => '100508', 'description' => 'Punchao', 'province_id' => '1005'],
            ['id' => '100509', 'description' => 'Puños', 'province_id' => '1005'],
            ['id' => '100510', 'description' => 'Singa', 'province_id' => '1005'],
            ['id' => '100511', 'description' => 'Tantamayo', 'province_id' => '1005'],
            ['id' => '100601', 'description' => 'Rupa-Rupa', 'province_id' => '1006'],
            ['id' => '100602', 'description' => 'Daniel Alomía Robles', 'province_id' => '1006'],
            ['id' => '100603', 'description' => 'Hermílio Valdizan', 'province_id' => '1006'],
            ['id' => '100604', 'description' => 'José Crespo y Castillo', 'province_id' => '1006'],
            ['id' => '100605', 'description' => 'Luyando', 'province_id' => '1006'],
            ['id' => '100606', 'description' => 'Mariano Damaso Beraun', 'province_id' => '1006'],
            ['id' => '100607', 'description' => 'Pucayacu', 'province_id' => '1006'],
            ['id' => '100608', 'description' => 'Castillo Grande', 'province_id' => '1006'],
            ['id' => '100701', 'description' => 'Huacrachuco', 'province_id' => '1007'],
            ['id' => '100702', 'description' => 'Cholon', 'province_id' => '1007'],
            ['id' => '100703', 'description' => 'San Buenaventura', 'province_id' => '1007'],
            ['id' => '100704', 'description' => 'La Morada', 'province_id' => '1007'],
            ['id' => '100705', 'description' => 'Santa Rosa de Alto Yanajanca', 'province_id' => '1007'],
            ['id' => '100801', 'description' => 'Panao', 'province_id' => '1008'],
            ['id' => '100802', 'description' => 'Chaglla', 'province_id' => '1008'],
            ['id' => '100803', 'description' => 'Molino', 'province_id' => '1008'],
            ['id' => '100804', 'description' => 'Umari', 'province_id' => '1008'],
            ['id' => '100901', 'description' => 'Puerto Inca', 'province_id' => '1009'],
            ['id' => '100902', 'description' => 'Codo del Pozuzo', 'province_id' => '1009'],
            ['id' => '100903', 'description' => 'Honoria', 'province_id' => '1009'],
            ['id' => '100904', 'description' => 'Tournavista', 'province_id' => '1009'],
            ['id' => '100905', 'description' => 'Yuyapichis', 'province_id' => '1009'],
            ['id' => '101001', 'description' => 'Jesús', 'province_id' => '1010'],
            ['id' => '101002', 'description' => 'Baños', 'province_id' => '1010'],
            ['id' => '101003', 'description' => 'Jivia', 'province_id' => '1010'],
            ['id' => '101004', 'description' => 'Queropalca', 'province_id' => '1010'],
            ['id' => '101005', 'description' => 'Rondos', 'province_id' => '1010'],
            ['id' => '101006', 'description' => 'San Francisco de Asís', 'province_id' => '1010'],
            ['id' => '101007', 'description' => 'San Miguel de Cauri', 'province_id' => '1010'],
            ['id' => '101101', 'description' => 'Chavinillo', 'province_id' => '1011'],
            ['id' => '101102', 'description' => 'Cahuac', 'province_id' => '1011'],
            ['id' => '101103', 'description' => 'Chacabamba', 'province_id' => '1011'],
            ['id' => '101104', 'description' => 'Aparicio Pomares', 'province_id' => '1011'],
            ['id' => '101105', 'description' => 'Jacas Chico', 'province_id' => '1011'],
            ['id' => '101106', 'description' => 'Obas', 'province_id' => '1011'],
            ['id' => '101107', 'description' => 'Pampamarca', 'province_id' => '1011'],
            ['id' => '101108', 'description' => 'Choras', 'province_id' => '1011'],
            ['id' => '110101', 'description' => 'Ica', 'province_id' => '1101'],
            ['id' => '110102', 'description' => 'La Tinguiña', 'province_id' => '1101'],
            ['id' => '110103', 'description' => 'Los Aquijes', 'province_id' => '1101'],
            ['id' => '110104', 'description' => 'Ocucaje', 'province_id' => '1101'],
            ['id' => '110105', 'description' => 'Pachacutec', 'province_id' => '1101'],
            ['id' => '110106', 'description' => 'Parcona', 'province_id' => '1101'],
            ['id' => '110107', 'description' => 'Pueblo Nuevo', 'province_id' => '1101'],
            ['id' => '110108', 'description' => 'Salas', 'province_id' => '1101'],
            ['id' => '110109', 'description' => 'San José de Los Molinos', 'province_id' => '1101'],
            ['id' => '110110', 'description' => 'San Juan Bautista', 'province_id' => '1101'],
            ['id' => '110111', 'description' => 'Santiago', 'province_id' => '1101'],
            ['id' => '110112', 'description' => 'Subtanjalla', 'province_id' => '1101'],
            ['id' => '110113', 'description' => 'Tate', 'province_id' => '1101'],
            ['id' => '110114', 'description' => 'Yauca del Rosario', 'province_id' => '1101'],
            ['id' => '110201', 'description' => 'Chincha Alta', 'province_id' => '1102'],
            ['id' => '110202', 'description' => 'Alto Laran', 'province_id' => '1102'],
            ['id' => '110203', 'description' => 'Chavin', 'province_id' => '1102'],
            ['id' => '110204', 'description' => 'Chincha Baja', 'province_id' => '1102'],
            ['id' => '110205', 'description' => 'El Carmen', 'province_id' => '1102'],
            ['id' => '110206', 'description' => 'Grocio Prado', 'province_id' => '1102'],
            ['id' => '110207', 'description' => 'Pueblo Nuevo', 'province_id' => '1102'],
            ['id' => '110208', 'description' => 'San Juan de Yanac', 'province_id' => '1102'],
            ['id' => '110209', 'description' => 'San Pedro de Huacarpana', 'province_id' => '1102'],
            ['id' => '110210', 'description' => 'Sunampe', 'province_id' => '1102'],
            ['id' => '110211', 'description' => 'Tambo de Mora', 'province_id' => '1102'],
            ['id' => '110301', 'description' => 'Nasca', 'province_id' => '1103'],
            ['id' => '110302', 'description' => 'Changuillo', 'province_id' => '1103'],
            ['id' => '110303', 'description' => 'El Ingenio', 'province_id' => '1103'],
            ['id' => '110304', 'description' => 'Marcona', 'province_id' => '1103'],
            ['id' => '110305', 'description' => 'Vista Alegre', 'province_id' => '1103'],
            ['id' => '110401', 'description' => 'Palpa', 'province_id' => '1104'],
            ['id' => '110402', 'description' => 'Llipata', 'province_id' => '1104'],
            ['id' => '110403', 'description' => 'Río Grande', 'province_id' => '1104'],
            ['id' => '110404', 'description' => 'Santa Cruz', 'province_id' => '1104'],
            ['id' => '110405', 'description' => 'Tibillo', 'province_id' => '1104'],
            ['id' => '110501', 'description' => 'Pisco', 'province_id' => '1105'],
            ['id' => '110502', 'description' => 'Huancano', 'province_id' => '1105'],
            ['id' => '110503', 'description' => 'Humay', 'province_id' => '1105'],
            ['id' => '110504', 'description' => 'Independencia', 'province_id' => '1105'],
            ['id' => '110505', 'description' => 'Paracas', 'province_id' => '1105'],
            ['id' => '110506', 'description' => 'San Andrés', 'province_id' => '1105'],
            ['id' => '110507', 'description' => 'San Clemente', 'province_id' => '1105'],
            ['id' => '110508', 'description' => 'Tupac Amaru Inca', 'province_id' => '1105'],
            ['id' => '120101', 'description' => 'Huancayo', 'province_id' => '1201'],
            ['id' => '120104', 'description' => 'Carhuacallanga', 'province_id' => '1201'],
            ['id' => '120105', 'description' => 'Chacapampa', 'province_id' => '1201'],
            ['id' => '120106', 'description' => 'Chicche', 'province_id' => '1201'],
            ['id' => '120107', 'description' => 'Chilca', 'province_id' => '1201'],
            ['id' => '120108', 'description' => 'Chongos Alto', 'province_id' => '1201'],
            ['id' => '120111', 'description' => 'Chupuro', 'province_id' => '1201'],
            ['id' => '120112', 'description' => 'Colca', 'province_id' => '1201'],
            ['id' => '120113', 'description' => 'Cullhuas', 'province_id' => '1201'],
            ['id' => '120114', 'description' => 'El Tambo', 'province_id' => '1201'],
            ['id' => '120116', 'description' => 'Huacrapuquio', 'province_id' => '1201'],
            ['id' => '120117', 'description' => 'Hualhuas', 'province_id' => '1201'],
            ['id' => '120119', 'description' => 'Huancan', 'province_id' => '1201'],
            ['id' => '120120', 'description' => 'Huasicancha', 'province_id' => '1201'],
            ['id' => '120121', 'description' => 'Huayucachi', 'province_id' => '1201'],
            ['id' => '120122', 'description' => 'Ingenio', 'province_id' => '1201'],
            ['id' => '120124', 'description' => 'Pariahuanca', 'province_id' => '1201'],
            ['id' => '120125', 'description' => 'Pilcomayo', 'province_id' => '1201'],
            ['id' => '120126', 'description' => 'Pucara', 'province_id' => '1201'],
            ['id' => '120127', 'description' => 'Quichuay', 'province_id' => '1201'],
            ['id' => '120128', 'description' => 'Quilcas', 'province_id' => '1201'],
            ['id' => '120129', 'description' => 'San Agustín', 'province_id' => '1201'],
            ['id' => '120130', 'description' => 'San Jerónimo de Tunan', 'province_id' => '1201'],
            ['id' => '120132', 'description' => 'Saño', 'province_id' => '1201'],
            ['id' => '120133', 'description' => 'Sapallanga', 'province_id' => '1201'],
            ['id' => '120134', 'description' => 'Sicaya', 'province_id' => '1201'],
            ['id' => '120135', 'description' => 'Santo Domingo de Acobamba', 'province_id' => '1201'],
            ['id' => '120136', 'description' => 'Viques', 'province_id' => '1201'],
            ['id' => '120201', 'description' => 'Concepción', 'province_id' => '1202'],
            ['id' => '120202', 'description' => 'Aco', 'province_id' => '1202'],
            ['id' => '120203', 'description' => 'Andamarca', 'province_id' => '1202'],
            ['id' => '120204', 'description' => 'Chambara', 'province_id' => '1202'],
            ['id' => '120205', 'description' => 'Cochas', 'province_id' => '1202'],
            ['id' => '120206', 'description' => 'Comas', 'province_id' => '1202'],
            ['id' => '120207', 'description' => 'Heroínas Toledo', 'province_id' => '1202'],
            ['id' => '120208', 'description' => 'Manzanares', 'province_id' => '1202'],
            ['id' => '120209', 'description' => 'Mariscal Castilla', 'province_id' => '1202'],
            ['id' => '120210', 'description' => 'Matahuasi', 'province_id' => '1202'],
            ['id' => '120211', 'description' => 'Mito', 'province_id' => '1202'],
            ['id' => '120212', 'description' => 'Nueve de Julio', 'province_id' => '1202'],
            ['id' => '120213', 'description' => 'Orcotuna', 'province_id' => '1202'],
            ['id' => '120214', 'description' => 'San José de Quero', 'province_id' => '1202'],
            ['id' => '120215', 'description' => 'Santa Rosa de Ocopa', 'province_id' => '1202'],
            ['id' => '120301', 'description' => 'Chanchamayo', 'province_id' => '1203'],
            ['id' => '120302', 'description' => 'Perene', 'province_id' => '1203'],
            ['id' => '120303', 'description' => 'Pichanaqui', 'province_id' => '1203'],
            ['id' => '120304', 'description' => 'San Luis de Shuaro', 'province_id' => '1203'],
            ['id' => '120305', 'description' => 'San Ramón', 'province_id' => '1203'],
            ['id' => '120306', 'description' => 'Vitoc', 'province_id' => '1203'],
            ['id' => '120401', 'description' => 'Jauja', 'province_id' => '1204'],
            ['id' => '120402', 'description' => 'Acolla', 'province_id' => '1204'],
            ['id' => '120403', 'description' => 'Apata', 'province_id' => '1204'],
            ['id' => '120404', 'description' => 'Ataura', 'province_id' => '1204'],
            ['id' => '120405', 'description' => 'Canchayllo', 'province_id' => '1204'],
            ['id' => '120406', 'description' => 'Curicaca', 'province_id' => '1204'],
            ['id' => '120407', 'description' => 'El Mantaro', 'province_id' => '1204'],
            ['id' => '120408', 'description' => 'Huamali', 'province_id' => '1204'],
            ['id' => '120409', 'description' => 'Huaripampa', 'province_id' => '1204'],
            ['id' => '120410', 'description' => 'Huertas', 'province_id' => '1204'],
            ['id' => '120411', 'description' => 'Janjaillo', 'province_id' => '1204'],
            ['id' => '120412', 'description' => 'Julcán', 'province_id' => '1204'],
            ['id' => '120413', 'description' => 'Leonor Ordóñez', 'province_id' => '1204'],
            ['id' => '120414', 'description' => 'Llocllapampa', 'province_id' => '1204'],
            ['id' => '120415', 'description' => 'Marco', 'province_id' => '1204'],
            ['id' => '120416', 'description' => 'Masma', 'province_id' => '1204'],
            ['id' => '120417', 'description' => 'Masma Chicche', 'province_id' => '1204'],
            ['id' => '120418', 'description' => 'Molinos', 'province_id' => '1204'],
            ['id' => '120419', 'description' => 'Monobamba', 'province_id' => '1204'],
            ['id' => '120420', 'description' => 'Muqui', 'province_id' => '1204'],
            ['id' => '120421', 'description' => 'Muquiyauyo', 'province_id' => '1204'],
            ['id' => '120422', 'description' => 'Paca', 'province_id' => '1204'],
            ['id' => '120423', 'description' => 'Paccha', 'province_id' => '1204'],
            ['id' => '120424', 'description' => 'Pancan', 'province_id' => '1204'],
            ['id' => '120425', 'description' => 'Parco', 'province_id' => '1204'],
            ['id' => '120426', 'description' => 'Pomacancha', 'province_id' => '1204'],
            ['id' => '120427', 'description' => 'Ricran', 'province_id' => '1204'],
            ['id' => '120428', 'description' => 'San Lorenzo', 'province_id' => '1204'],
            ['id' => '120429', 'description' => 'San Pedro de Chunan', 'province_id' => '1204'],
            ['id' => '120430', 'description' => 'Sausa', 'province_id' => '1204'],
            ['id' => '120431', 'description' => 'Sincos', 'province_id' => '1204'],
            ['id' => '120432', 'description' => 'Tunan Marca', 'province_id' => '1204'],
            ['id' => '120433', 'description' => 'Yauli', 'province_id' => '1204'],
            ['id' => '120434', 'description' => 'Yauyos', 'province_id' => '1204'],
            ['id' => '120501', 'description' => 'Junin', 'province_id' => '1205'],
            ['id' => '120502', 'description' => 'Carhuamayo', 'province_id' => '1205'],
            ['id' => '120503', 'description' => 'Ondores', 'province_id' => '1205'],
            ['id' => '120504', 'description' => 'Ulcumayo', 'province_id' => '1205'],
            ['id' => '120601', 'description' => 'Satipo', 'province_id' => '1206'],
            ['id' => '120602', 'description' => 'Coviriali', 'province_id' => '1206'],
            ['id' => '120603', 'description' => 'Llaylla', 'province_id' => '1206'],
            ['id' => '120604', 'description' => 'Mazamari', 'province_id' => '1206'],
            ['id' => '120605', 'description' => 'Pampa Hermosa', 'province_id' => '1206'],
            ['id' => '120606', 'description' => 'Pangoa', 'province_id' => '1206'],
            ['id' => '120607', 'description' => 'Río Negro', 'province_id' => '1206'],
            ['id' => '120608', 'description' => 'Río Tambo', 'province_id' => '1206'],
            ['id' => '120609', 'description' => 'Vizcatan del Ene', 'province_id' => '1206'],
            ['id' => '120701', 'description' => 'Tarma', 'province_id' => '1207'],
            ['id' => '120702', 'description' => 'Acobamba', 'province_id' => '1207'],
            ['id' => '120703', 'description' => 'Huaricolca', 'province_id' => '1207'],
            ['id' => '120704', 'description' => 'Huasahuasi', 'province_id' => '1207'],
            ['id' => '120705', 'description' => 'La Unión', 'province_id' => '1207'],
            ['id' => '120706', 'description' => 'Palca', 'province_id' => '1207'],
            ['id' => '120707', 'description' => 'Palcamayo', 'province_id' => '1207'],
            ['id' => '120708', 'description' => 'San Pedro de Cajas', 'province_id' => '1207'],
            ['id' => '120709', 'description' => 'Tapo', 'province_id' => '1207'],
            ['id' => '120801', 'description' => 'La Oroya', 'province_id' => '1208'],
            ['id' => '120802', 'description' => 'Chacapalpa', 'province_id' => '1208'],
            ['id' => '120803', 'description' => 'Huay-Huay', 'province_id' => '1208'],
            ['id' => '120804', 'description' => 'Marcapomacocha', 'province_id' => '1208'],
            ['id' => '120805', 'description' => 'Morococha', 'province_id' => '1208'],
            ['id' => '120806', 'description' => 'Paccha', 'province_id' => '1208'],
            ['id' => '120807', 'description' => 'Santa Bárbara de Carhuacayan', 'province_id' => '1208'],
            ['id' => '120808', 'description' => 'Santa Rosa de Sacco', 'province_id' => '1208'],
            ['id' => '120809', 'description' => 'Suitucancha', 'province_id' => '1208'],
            ['id' => '120810', 'description' => 'Yauli', 'province_id' => '1208'],
            ['id' => '120901', 'description' => 'Chupaca', 'province_id' => '1209'],
            ['id' => '120902', 'description' => 'Ahuac', 'province_id' => '1209'],
            ['id' => '120903', 'description' => 'Chongos Bajo', 'province_id' => '1209'],
            ['id' => '120904', 'description' => 'Huachac', 'province_id' => '1209'],
            ['id' => '120905', 'description' => 'Huamancaca Chico', 'province_id' => '1209'],
            ['id' => '120906', 'description' => 'San Juan de Iscos', 'province_id' => '1209'],
            ['id' => '120907', 'description' => 'San Juan de Jarpa', 'province_id' => '1209'],
            ['id' => '120908', 'description' => 'Tres de Diciembre', 'province_id' => '1209'],
            ['id' => '120909', 'description' => 'Yanacancha', 'province_id' => '1209'],
            ['id' => '130101', 'description' => 'Trujillo', 'province_id' => '1301'],
            ['id' => '130102', 'description' => 'El Porvenir', 'province_id' => '1301'],
            ['id' => '130103', 'description' => 'Florencia de Mora', 'province_id' => '1301'],
            ['id' => '130104', 'description' => 'Huanchaco', 'province_id' => '1301'],
            ['id' => '130105', 'description' => 'La Esperanza', 'province_id' => '1301'],
            ['id' => '130106', 'description' => 'Laredo', 'province_id' => '1301'],
            ['id' => '130107', 'description' => 'Moche', 'province_id' => '1301'],
            ['id' => '130108', 'description' => 'Poroto', 'province_id' => '1301'],
            ['id' => '130109', 'description' => 'Salaverry', 'province_id' => '1301'],
            ['id' => '130110', 'description' => 'Simbal', 'province_id' => '1301'],
            ['id' => '130111', 'description' => 'Victor Larco Herrera', 'province_id' => '1301'],
            ['id' => '130201', 'description' => 'Ascope', 'province_id' => '1302'],
            ['id' => '130202', 'description' => 'Chicama', 'province_id' => '1302'],
            ['id' => '130203', 'description' => 'Chocope', 'province_id' => '1302'],
            ['id' => '130204', 'description' => 'Magdalena de Cao', 'province_id' => '1302'],
            ['id' => '130205', 'description' => 'Paijan', 'province_id' => '1302'],
            ['id' => '130206', 'description' => 'Rázuri', 'province_id' => '1302'],
            ['id' => '130207', 'description' => 'Santiago de Cao', 'province_id' => '1302'],
            ['id' => '130208', 'description' => 'Casa Grande', 'province_id' => '1302'],
            ['id' => '130301', 'description' => 'Bolívar', 'province_id' => '1303'],
            ['id' => '130302', 'description' => 'Bambamarca', 'province_id' => '1303'],
            ['id' => '130303', 'description' => 'Condormarca', 'province_id' => '1303'],
            ['id' => '130304', 'description' => 'Longotea', 'province_id' => '1303'],
            ['id' => '130305', 'description' => 'Uchumarca', 'province_id' => '1303'],
            ['id' => '130306', 'description' => 'Ucuncha', 'province_id' => '1303'],
            ['id' => '130401', 'description' => 'Chepen', 'province_id' => '1304'],
            ['id' => '130402', 'description' => 'Pacanga', 'province_id' => '1304'],
            ['id' => '130403', 'description' => 'Pueblo Nuevo', 'province_id' => '1304'],
            ['id' => '130501', 'description' => 'Julcan', 'province_id' => '1305'],
            ['id' => '130502', 'description' => 'Calamarca', 'province_id' => '1305'],
            ['id' => '130503', 'description' => 'Carabamba', 'province_id' => '1305'],
            ['id' => '130504', 'description' => 'Huaso', 'province_id' => '1305'],
            ['id' => '130601', 'description' => 'Otuzco', 'province_id' => '1306'],
            ['id' => '130602', 'description' => 'Agallpampa', 'province_id' => '1306'],
            ['id' => '130604', 'description' => 'Charat', 'province_id' => '1306'],
            ['id' => '130605', 'description' => 'Huaranchal', 'province_id' => '1306'],
            ['id' => '130606', 'description' => 'La Cuesta', 'province_id' => '1306'],
            ['id' => '130608', 'description' => 'Mache', 'province_id' => '1306'],
            ['id' => '130610', 'description' => 'Paranday', 'province_id' => '1306'],
            ['id' => '130611', 'description' => 'Salpo', 'province_id' => '1306'],
            ['id' => '130613', 'description' => 'Sinsicap', 'province_id' => '1306'],
            ['id' => '130614', 'description' => 'Usquil', 'province_id' => '1306'],
            ['id' => '130701', 'description' => 'San Pedro de Lloc', 'province_id' => '1307'],
            ['id' => '130702', 'description' => 'Guadalupe', 'province_id' => '1307'],
            ['id' => '130703', 'description' => 'Jequetepeque', 'province_id' => '1307'],
            ['id' => '130704', 'description' => 'Pacasmayo', 'province_id' => '1307'],
            ['id' => '130705', 'description' => 'San José', 'province_id' => '1307'],
            ['id' => '130801', 'description' => 'Tayabamba', 'province_id' => '1308'],
            ['id' => '130802', 'description' => 'Buldibuyo', 'province_id' => '1308'],
            ['id' => '130803', 'description' => 'Chillia', 'province_id' => '1308'],
            ['id' => '130804', 'description' => 'Huancaspata', 'province_id' => '1308'],
            ['id' => '130805', 'description' => 'Huaylillas', 'province_id' => '1308'],
            ['id' => '130806', 'description' => 'Huayo', 'province_id' => '1308'],
            ['id' => '130807', 'description' => 'Ongon', 'province_id' => '1308'],
            ['id' => '130808', 'description' => 'Parcoy', 'province_id' => '1308'],
            ['id' => '130809', 'description' => 'Pataz', 'province_id' => '1308'],
            ['id' => '130810', 'description' => 'Pias', 'province_id' => '1308'],
            ['id' => '130811', 'description' => 'Santiago de Challas', 'province_id' => '1308'],
            ['id' => '130812', 'description' => 'Taurija', 'province_id' => '1308'],
            ['id' => '130813', 'description' => 'Urpay', 'province_id' => '1308'],
            ['id' => '130901', 'description' => 'Huamachuco', 'province_id' => '1309'],
            ['id' => '130902', 'description' => 'Chugay', 'province_id' => '1309'],
            ['id' => '130903', 'description' => 'Cochorco', 'province_id' => '1309'],
            ['id' => '130904', 'description' => 'Curgos', 'province_id' => '1309'],
            ['id' => '130905', 'description' => 'Marcabal', 'province_id' => '1309'],
            ['id' => '130906', 'description' => 'Sanagoran', 'province_id' => '1309'],
            ['id' => '130907', 'description' => 'Sarin', 'province_id' => '1309'],
            ['id' => '130908', 'description' => 'Sartimbamba', 'province_id' => '1309'],
            ['id' => '131001', 'description' => 'Santiago de Chuco', 'province_id' => '1310'],
            ['id' => '131002', 'description' => 'Angasmarca', 'province_id' => '1310'],
            ['id' => '131003', 'description' => 'Cachicadan', 'province_id' => '1310'],
            ['id' => '131004', 'description' => 'Mollebamba', 'province_id' => '1310'],
            ['id' => '131005', 'description' => 'Mollepata', 'province_id' => '1310'],
            ['id' => '131006', 'description' => 'Quiruvilca', 'province_id' => '1310'],
            ['id' => '131007', 'description' => 'Santa Cruz de Chuca', 'province_id' => '1310'],
            ['id' => '131008', 'description' => 'Sitabamba', 'province_id' => '1310'],
            ['id' => '131101', 'description' => 'Cascas', 'province_id' => '1311'],
            ['id' => '131102', 'description' => 'Lucma', 'province_id' => '1311'],
            ['id' => '131103', 'description' => 'Marmot', 'province_id' => '1311'],
            ['id' => '131104', 'description' => 'Sayapullo', 'province_id' => '1311'],
            ['id' => '131201', 'description' => 'Viru', 'province_id' => '1312'],
            ['id' => '131202', 'description' => 'Chao', 'province_id' => '1312'],
            ['id' => '131203', 'description' => 'Guadalupito', 'province_id' => '1312'],
            ['id' => '140101', 'description' => 'Chiclayo', 'province_id' => '1401'],
            ['id' => '140102', 'description' => 'Chongoyape', 'province_id' => '1401'],
            ['id' => '140103', 'description' => 'Eten', 'province_id' => '1401'],
            ['id' => '140104', 'description' => 'Eten Puerto', 'province_id' => '1401'],
            ['id' => '140105', 'description' => 'José Leonardo Ortiz', 'province_id' => '1401'],
            ['id' => '140106', 'description' => 'La Victoria', 'province_id' => '1401'],
            ['id' => '140107', 'description' => 'Lagunas', 'province_id' => '1401'],
            ['id' => '140108', 'description' => 'Monsefu', 'province_id' => '1401'],
            ['id' => '140109', 'description' => 'Nueva Arica', 'province_id' => '1401'],
            ['id' => '140110', 'description' => 'Oyotun', 'province_id' => '1401'],
            ['id' => '140111', 'description' => 'Picsi', 'province_id' => '1401'],
            ['id' => '140112', 'description' => 'Pimentel', 'province_id' => '1401'],
            ['id' => '140113', 'description' => 'Reque', 'province_id' => '1401'],
            ['id' => '140114', 'description' => 'Santa Rosa', 'province_id' => '1401'],
            ['id' => '140115', 'description' => 'Saña', 'province_id' => '1401'],
            ['id' => '140116', 'description' => 'Cayalti', 'province_id' => '1401'],
            ['id' => '140117', 'description' => 'Patapo', 'province_id' => '1401'],
            ['id' => '140118', 'description' => 'Pomalca', 'province_id' => '1401'],
            ['id' => '140119', 'description' => 'Pucala', 'province_id' => '1401'],
            ['id' => '140120', 'description' => 'Tuman', 'province_id' => '1401'],
            ['id' => '140201', 'description' => 'Ferreñafe', 'province_id' => '1402'],
            ['id' => '140202', 'description' => 'Cañaris', 'province_id' => '1402'],
            ['id' => '140203', 'description' => 'Incahuasi', 'province_id' => '1402'],
            ['id' => '140204', 'description' => 'Manuel Antonio Mesones Muro', 'province_id' => '1402'],
            ['id' => '140205', 'description' => 'Pitipo', 'province_id' => '1402'],
            ['id' => '140206', 'description' => 'Pueblo Nuevo', 'province_id' => '1402'],
            ['id' => '140301', 'description' => 'Lambayeque', 'province_id' => '1403'],
            ['id' => '140302', 'description' => 'Chochope', 'province_id' => '1403'],
            ['id' => '140303', 'description' => 'Illimo', 'province_id' => '1403'],
            ['id' => '140304', 'description' => 'Jayanca', 'province_id' => '1403'],
            ['id' => '140305', 'description' => 'Mochumi', 'province_id' => '1403'],
            ['id' => '140306', 'description' => 'Morrope', 'province_id' => '1403'],
            ['id' => '140307', 'description' => 'Motupe', 'province_id' => '1403'],
            ['id' => '140308', 'description' => 'Olmos', 'province_id' => '1403'],
            ['id' => '140309', 'description' => 'Pacora', 'province_id' => '1403'],
            ['id' => '140310', 'description' => 'Salas', 'province_id' => '1403'],
            ['id' => '140311', 'description' => 'San José', 'province_id' => '1403'],
            ['id' => '140312', 'description' => 'Tucume', 'province_id' => '1403'],
            ['id' => '150101', 'description' => 'Lima', 'province_id' => '1501'],
            ['id' => '150102', 'description' => 'Ancón', 'province_id' => '1501'],
            ['id' => '150103', 'description' => 'Ate', 'province_id' => '1501'],
            ['id' => '150104', 'description' => 'Barranco', 'province_id' => '1501'],
            ['id' => '150105', 'description' => 'Breña', 'province_id' => '1501'],
            ['id' => '150106', 'description' => 'Carabayllo', 'province_id' => '1501'],
            ['id' => '150107', 'description' => 'Chaclacayo', 'province_id' => '1501'],
            ['id' => '150108', 'description' => 'Chorrillos', 'province_id' => '1501'],
            ['id' => '150109', 'description' => 'Cieneguilla', 'province_id' => '1501'],
            ['id' => '150110', 'description' => 'Comas', 'province_id' => '1501'],
            ['id' => '150111', 'description' => 'El Agustino', 'province_id' => '1501'],
            ['id' => '150112', 'description' => 'Independencia', 'province_id' => '1501'],
            ['id' => '150113', 'description' => 'Jesús María', 'province_id' => '1501'],
            ['id' => '150114', 'description' => 'La Molina', 'province_id' => '1501'],
            ['id' => '150115', 'description' => 'La Victoria', 'province_id' => '1501'],
            ['id' => '150116', 'description' => 'Lince', 'province_id' => '1501'],
            ['id' => '150117', 'description' => 'Los Olivos', 'province_id' => '1501'],
            ['id' => '150118', 'description' => 'Lurigancho', 'province_id' => '1501'],
            ['id' => '150119', 'description' => 'Lurin', 'province_id' => '1501'],
            ['id' => '150120', 'description' => 'Magdalena del Mar', 'province_id' => '1501'],
            ['id' => '150121', 'description' => 'Pueblo Libre', 'province_id' => '1501'],
            ['id' => '150122', 'description' => 'Miraflores', 'province_id' => '1501'],
            ['id' => '150123', 'description' => 'Pachacamac', 'province_id' => '1501'],
            ['id' => '150124', 'description' => 'Pucusana', 'province_id' => '1501'],
            ['id' => '150125', 'description' => 'Puente Piedra', 'province_id' => '1501'],
            ['id' => '150126', 'description' => 'Punta Hermosa', 'province_id' => '1501'],
            ['id' => '150127', 'description' => 'Punta Negra', 'province_id' => '1501'],
            ['id' => '150128', 'description' => 'Rímac', 'province_id' => '1501'],
            ['id' => '150129', 'description' => 'San Bartolo', 'province_id' => '1501'],
            ['id' => '150130', 'description' => 'San Borja', 'province_id' => '1501'],
            ['id' => '150131', 'description' => 'San Isidro', 'province_id' => '1501'],
            ['id' => '150132', 'description' => 'San Juan de Lurigancho', 'province_id' => '1501'],
            ['id' => '150133', 'description' => 'San Juan de Miraflores', 'province_id' => '1501'],
            ['id' => '150134', 'description' => 'San Luis', 'province_id' => '1501'],
            ['id' => '150135', 'description' => 'San Martín de Porres', 'province_id' => '1501'],
            ['id' => '150136', 'description' => 'San Miguel', 'province_id' => '1501'],
            ['id' => '150137', 'description' => 'Santa Anita', 'province_id' => '1501'],
            ['id' => '150138', 'description' => 'Santa María del Mar', 'province_id' => '1501'],
            ['id' => '150139', 'description' => 'Santa Rosa', 'province_id' => '1501'],
            ['id' => '150140', 'description' => 'Santiago de Surco', 'province_id' => '1501'],
            ['id' => '150141', 'description' => 'Surquillo', 'province_id' => '1501'],
            ['id' => '150142', 'description' => 'Villa El Salvador', 'province_id' => '1501'],
            ['id' => '150143', 'description' => 'Villa María del Triunfo', 'province_id' => '1501'],
            ['id' => '150201', 'description' => 'Barranca', 'province_id' => '1502'],
            ['id' => '150202', 'description' => 'Paramonga', 'province_id' => '1502'],
            ['id' => '150203', 'description' => 'Pativilca', 'province_id' => '1502'],
            ['id' => '150204', 'description' => 'Supe', 'province_id' => '1502'],
            ['id' => '150205', 'description' => 'Supe Puerto', 'province_id' => '1502'],
            ['id' => '150301', 'description' => 'Cajatambo', 'province_id' => '1503'],
            ['id' => '150302', 'description' => 'Copa', 'province_id' => '1503'],
            ['id' => '150303', 'description' => 'Gorgor', 'province_id' => '1503'],
            ['id' => '150304', 'description' => 'Huancapon', 'province_id' => '1503'],
            ['id' => '150305', 'description' => 'Manas', 'province_id' => '1503'],
            ['id' => '150401', 'description' => 'Canta', 'province_id' => '1504'],
            ['id' => '150402', 'description' => 'Arahuay', 'province_id' => '1504'],
            ['id' => '150403', 'description' => 'Huamantanga', 'province_id' => '1504'],
            ['id' => '150404', 'description' => 'Huaros', 'province_id' => '1504'],
            ['id' => '150405', 'description' => 'Lachaqui', 'province_id' => '1504'],
            ['id' => '150406', 'description' => 'San Buenaventura', 'province_id' => '1504'],
            ['id' => '150407', 'description' => 'Santa Rosa de Quives', 'province_id' => '1504'],
            ['id' => '150501', 'description' => 'San Vicente de Cañete', 'province_id' => '1505'],
            ['id' => '150502', 'description' => 'Asia', 'province_id' => '1505'],
            ['id' => '150503', 'description' => 'Calango', 'province_id' => '1505'],
            ['id' => '150504', 'description' => 'Cerro Azul', 'province_id' => '1505'],
            ['id' => '150505', 'description' => 'Chilca', 'province_id' => '1505'],
            ['id' => '150506', 'description' => 'Coayllo', 'province_id' => '1505'],
            ['id' => '150507', 'description' => 'Imperial', 'province_id' => '1505'],
            ['id' => '150508', 'description' => 'Lunahuana', 'province_id' => '1505'],
            ['id' => '150509', 'description' => 'Mala', 'province_id' => '1505'],
            ['id' => '150510', 'description' => 'Nuevo Imperial', 'province_id' => '1505'],
            ['id' => '150511', 'description' => 'Pacaran', 'province_id' => '1505'],
            ['id' => '150512', 'description' => 'Quilmana', 'province_id' => '1505'],
            ['id' => '150513', 'description' => 'San Antonio', 'province_id' => '1505'],
            ['id' => '150514', 'description' => 'San Luis', 'province_id' => '1505'],
            ['id' => '150515', 'description' => 'Santa Cruz de Flores', 'province_id' => '1505'],
            ['id' => '150516', 'description' => 'Zúñiga', 'province_id' => '1505'],
            ['id' => '150601', 'description' => 'Huaral', 'province_id' => '1506'],
            ['id' => '150602', 'description' => 'Atavillos Alto', 'province_id' => '1506'],
            ['id' => '150603', 'description' => 'Atavillos Bajo', 'province_id' => '1506'],
            ['id' => '150604', 'description' => 'Aucallama', 'province_id' => '1506'],
            ['id' => '150605', 'description' => 'Chancay', 'province_id' => '1506'],
            ['id' => '150606', 'description' => 'Ihuari', 'province_id' => '1506'],
            ['id' => '150607', 'description' => 'Lampian', 'province_id' => '1506'],
            ['id' => '150608', 'description' => 'Pacaraos', 'province_id' => '1506'],
            ['id' => '150609', 'description' => 'San Miguel de Acos', 'province_id' => '1506'],
            ['id' => '150610', 'description' => 'Santa Cruz de Andamarca', 'province_id' => '1506'],
            ['id' => '150611', 'description' => 'Sumbilca', 'province_id' => '1506'],
            ['id' => '150612', 'description' => 'Veintisiete de Noviembre', 'province_id' => '1506'],
            ['id' => '150701', 'description' => 'Matucana', 'province_id' => '1507'],
            ['id' => '150702', 'description' => 'Antioquia', 'province_id' => '1507'],
            ['id' => '150703', 'description' => 'Callahuanca', 'province_id' => '1507'],
            ['id' => '150704', 'description' => 'Carampoma', 'province_id' => '1507'],
            ['id' => '150705', 'description' => 'Chicla', 'province_id' => '1507'],
            ['id' => '150706', 'description' => 'Cuenca', 'province_id' => '1507'],
            ['id' => '150707', 'description' => 'Huachupampa', 'province_id' => '1507'],
            ['id' => '150708', 'description' => 'Huanza', 'province_id' => '1507'],
            ['id' => '150709', 'description' => 'Huarochiri', 'province_id' => '1507'],
            ['id' => '150710', 'description' => 'Lahuaytambo', 'province_id' => '1507'],
            ['id' => '150711', 'description' => 'Langa', 'province_id' => '1507'],
            ['id' => '150712', 'description' => 'Laraos', 'province_id' => '1507'],
            ['id' => '150713', 'description' => 'Mariatana', 'province_id' => '1507'],
            ['id' => '150714', 'description' => 'Ricardo Palma', 'province_id' => '1507'],
            ['id' => '150715', 'description' => 'San Andrés de Tupicocha', 'province_id' => '1507'],
            ['id' => '150716', 'description' => 'San Antonio', 'province_id' => '1507'],
            ['id' => '150717', 'description' => 'San Bartolomé', 'province_id' => '1507'],
            ['id' => '150718', 'description' => 'San Damian', 'province_id' => '1507'],
            ['id' => '150719', 'description' => 'San Juan de Iris', 'province_id' => '1507'],
            ['id' => '150720', 'description' => 'San Juan de Tantaranche', 'province_id' => '1507'],
            ['id' => '150721', 'description' => 'San Lorenzo de Quinti', 'province_id' => '1507'],
            ['id' => '150722', 'description' => 'San Mateo', 'province_id' => '1507'],
            ['id' => '150723', 'description' => 'San Mateo de Otao', 'province_id' => '1507'],
            ['id' => '150724', 'description' => 'San Pedro de Casta', 'province_id' => '1507'],
            ['id' => '150725', 'description' => 'San Pedro de Huancayre', 'province_id' => '1507'],
            ['id' => '150726', 'description' => 'Sangallaya', 'province_id' => '1507'],
            ['id' => '150727', 'description' => 'Santa Cruz de Cocachacra', 'province_id' => '1507'],
            ['id' => '150728', 'description' => 'Santa Eulalia', 'province_id' => '1507'],
            ['id' => '150729', 'description' => 'Santiago de Anchucaya', 'province_id' => '1507'],
            ['id' => '150730', 'description' => 'Santiago de Tuna', 'province_id' => '1507'],
            ['id' => '150731', 'description' => 'Santo Domingo de Los Olleros', 'province_id' => '1507'],
            ['id' => '150732', 'description' => 'Surco', 'province_id' => '1507'],
            ['id' => '150801', 'description' => 'Huacho', 'province_id' => '1508'],
            ['id' => '150802', 'description' => 'Ambar', 'province_id' => '1508'],
            ['id' => '150803', 'description' => 'Caleta de Carquin', 'province_id' => '1508'],
            ['id' => '150804', 'description' => 'Checras', 'province_id' => '1508'],
            ['id' => '150805', 'description' => 'Hualmay', 'province_id' => '1508'],
            ['id' => '150806', 'description' => 'Huaura', 'province_id' => '1508'],
            ['id' => '150807', 'description' => 'Leoncio Prado', 'province_id' => '1508'],
            ['id' => '150808', 'description' => 'Paccho', 'province_id' => '1508'],
            ['id' => '150809', 'description' => 'Santa Leonor', 'province_id' => '1508'],
            ['id' => '150810', 'description' => 'Santa María', 'province_id' => '1508'],
            ['id' => '150811', 'description' => 'Sayan', 'province_id' => '1508'],
            ['id' => '150812', 'description' => 'Vegueta', 'province_id' => '1508'],
            ['id' => '150901', 'description' => 'Oyon', 'province_id' => '1509'],
            ['id' => '150902', 'description' => 'Andajes', 'province_id' => '1509'],
            ['id' => '150903', 'description' => 'Caujul', 'province_id' => '1509'],
            ['id' => '150904', 'description' => 'Cochamarca', 'province_id' => '1509'],
            ['id' => '150905', 'description' => 'Navan', 'province_id' => '1509'],
            ['id' => '150906', 'description' => 'Pachangara', 'province_id' => '1509'],
            ['id' => '151001', 'description' => 'Yauyos', 'province_id' => '1510'],
            ['id' => '151002', 'description' => 'Alis', 'province_id' => '1510'],
            ['id' => '151003', 'description' => 'Allauca', 'province_id' => '1510'],
            ['id' => '151004', 'description' => 'Ayaviri', 'province_id' => '1510'],
            ['id' => '151005', 'description' => 'Azángaro', 'province_id' => '1510'],
            ['id' => '151006', 'description' => 'Cacra', 'province_id' => '1510'],
            ['id' => '151007', 'description' => 'Carania', 'province_id' => '1510'],
            ['id' => '151008', 'description' => 'Catahuasi', 'province_id' => '1510'],
            ['id' => '151009', 'description' => 'Chocos', 'province_id' => '1510'],
            ['id' => '151010', 'description' => 'Cochas', 'province_id' => '1510'],
            ['id' => '151011', 'description' => 'Colonia', 'province_id' => '1510'],
            ['id' => '151012', 'description' => 'Hongos', 'province_id' => '1510'],
            ['id' => '151013', 'description' => 'Huampara', 'province_id' => '1510'],
            ['id' => '151014', 'description' => 'Huancaya', 'province_id' => '1510'],
            ['id' => '151015', 'description' => 'Huangascar', 'province_id' => '1510'],
            ['id' => '151016', 'description' => 'Huantan', 'province_id' => '1510'],
            ['id' => '151017', 'description' => 'Huañec', 'province_id' => '1510'],
            ['id' => '151018', 'description' => 'Laraos', 'province_id' => '1510'],
            ['id' => '151019', 'description' => 'Lincha', 'province_id' => '1510'],
            ['id' => '151020', 'description' => 'Madean', 'province_id' => '1510'],
            ['id' => '151021', 'description' => 'Miraflores', 'province_id' => '1510'],
            ['id' => '151022', 'description' => 'Omas', 'province_id' => '1510'],
            ['id' => '151023', 'description' => 'Putinza', 'province_id' => '1510'],
            ['id' => '151024', 'description' => 'Quinches', 'province_id' => '1510'],
            ['id' => '151025', 'description' => 'Quinocay', 'province_id' => '1510'],
            ['id' => '151026', 'description' => 'San Joaquín', 'province_id' => '1510'],
            ['id' => '151027', 'description' => 'San Pedro de Pilas', 'province_id' => '1510'],
            ['id' => '151028', 'description' => 'Tanta', 'province_id' => '1510'],
            ['id' => '151029', 'description' => 'Tauripampa', 'province_id' => '1510'],
            ['id' => '151030', 'description' => 'Tomas', 'province_id' => '1510'],
            ['id' => '151031', 'description' => 'Tupe', 'province_id' => '1510'],
            ['id' => '151032', 'description' => 'Viñac', 'province_id' => '1510'],
            ['id' => '151033', 'description' => 'Vitis', 'province_id' => '1510'],
            ['id' => '160101', 'description' => 'Iquitos', 'province_id' => '1601'],
            ['id' => '160102', 'description' => 'Alto Nanay', 'province_id' => '1601'],
            ['id' => '160103', 'description' => 'Fernando Lores', 'province_id' => '1601'],
            ['id' => '160104', 'description' => 'Indiana', 'province_id' => '1601'],
            ['id' => '160105', 'description' => 'Las Amazonas', 'province_id' => '1601'],
            ['id' => '160106', 'description' => 'Mazan', 'province_id' => '1601'],
            ['id' => '160107', 'description' => 'Napo', 'province_id' => '1601'],
            ['id' => '160108', 'description' => 'Punchana', 'province_id' => '1601'],
            ['id' => '160110', 'description' => 'Torres Causana', 'province_id' => '1601'],
            ['id' => '160112', 'description' => 'Belén', 'province_id' => '1601'],
            ['id' => '160113', 'description' => 'San Juan Bautista', 'province_id' => '1601'],
            ['id' => '160201', 'description' => 'Yurimaguas', 'province_id' => '1602'],
            ['id' => '160202', 'description' => 'Balsapuerto', 'province_id' => '1602'],
            ['id' => '160205', 'description' => 'Jeberos', 'province_id' => '1602'],
            ['id' => '160206', 'description' => 'Lagunas', 'province_id' => '1602'],
            ['id' => '160210', 'description' => 'Santa Cruz', 'province_id' => '1602'],
            ['id' => '160211', 'description' => 'Teniente Cesar López Rojas', 'province_id' => '1602'],
            ['id' => '160301', 'description' => 'Nauta', 'province_id' => '1603'],
            ['id' => '160302', 'description' => 'Parinari', 'province_id' => '1603'],
            ['id' => '160303', 'description' => 'Tigre', 'province_id' => '1603'],
            ['id' => '160304', 'description' => 'Trompeteros', 'province_id' => '1603'],
            ['id' => '160305', 'description' => 'Urarinas', 'province_id' => '1603'],
            ['id' => '160401', 'description' => 'Ramón Castilla', 'province_id' => '1604'],
            ['id' => '160402', 'description' => 'Pebas', 'province_id' => '1604'],
            ['id' => '160403', 'description' => 'Yavari', 'province_id' => '1604'],
            ['id' => '160404', 'description' => 'San Pablo', 'province_id' => '1604'],
            ['id' => '160501', 'description' => 'Requena', 'province_id' => '1605'],
            ['id' => '160502', 'description' => 'Alto Tapiche', 'province_id' => '1605'],
            ['id' => '160503', 'description' => 'Capelo', 'province_id' => '1605'],
            ['id' => '160504', 'description' => 'Emilio San Martín', 'province_id' => '1605'],
            ['id' => '160505', 'description' => 'Maquia', 'province_id' => '1605'],
            ['id' => '160506', 'description' => 'Puinahua', 'province_id' => '1605'],
            ['id' => '160507', 'description' => 'Saquena', 'province_id' => '1605'],
            ['id' => '160508', 'description' => 'Soplin', 'province_id' => '1605'],
            ['id' => '160509', 'description' => 'Tapiche', 'province_id' => '1605'],
            ['id' => '160510', 'description' => 'Jenaro Herrera', 'province_id' => '1605'],
            ['id' => '160511', 'description' => 'Yaquerana', 'province_id' => '1605'],
            ['id' => '160601', 'description' => 'Contamana', 'province_id' => '1606'],
            ['id' => '160602', 'description' => 'Inahuaya', 'province_id' => '1606'],
            ['id' => '160603', 'description' => 'Padre Márquez', 'province_id' => '1606'],
            ['id' => '160604', 'description' => 'Pampa Hermosa', 'province_id' => '1606'],
            ['id' => '160605', 'description' => 'Sarayacu', 'province_id' => '1606'],
            ['id' => '160606', 'description' => 'Vargas Guerra', 'province_id' => '1606'],
            ['id' => '160701', 'description' => 'Barranca', 'province_id' => '1607'],
            ['id' => '160702', 'description' => 'Cahuapanas', 'province_id' => '1607'],
            ['id' => '160703', 'description' => 'Manseriche', 'province_id' => '1607'],
            ['id' => '160704', 'description' => 'Morona', 'province_id' => '1607'],
            ['id' => '160705', 'description' => 'Pastaza', 'province_id' => '1607'],
            ['id' => '160706', 'description' => 'Andoas', 'province_id' => '1607'],
            ['id' => '160801', 'description' => 'Putumayo', 'province_id' => '1608'],
            ['id' => '160802', 'description' => 'Rosa Panduro', 'province_id' => '1608'],
            ['id' => '160803', 'description' => 'Teniente Manuel Clavero', 'province_id' => '1608'],
            ['id' => '160804', 'description' => 'Yaguas', 'province_id' => '1608'],
            ['id' => '170101', 'description' => 'Tambopata', 'province_id' => '1701'],
            ['id' => '170102', 'description' => 'Inambari', 'province_id' => '1701'],
            ['id' => '170103', 'description' => 'Las Piedras', 'province_id' => '1701'],
            ['id' => '170104', 'description' => 'Laberinto', 'province_id' => '1701'],
            ['id' => '170201', 'description' => 'Manu', 'province_id' => '1702'],
            ['id' => '170202', 'description' => 'Fitzcarrald', 'province_id' => '1702'],
            ['id' => '170203', 'description' => 'Madre de Dios', 'province_id' => '1702'],
            ['id' => '170204', 'description' => 'Huepetuhe', 'province_id' => '1702'],
            ['id' => '170301', 'description' => 'Iñapari', 'province_id' => '1703'],
            ['id' => '170302', 'description' => 'Iberia', 'province_id' => '1703'],
            ['id' => '170303', 'description' => 'Tahuamanu', 'province_id' => '1703'],
            ['id' => '180101', 'description' => 'Moquegua', 'province_id' => '1801'],
            ['id' => '180102', 'description' => 'Carumas', 'province_id' => '1801'],
            ['id' => '180103', 'description' => 'Cuchumbaya', 'province_id' => '1801'],
            ['id' => '180104', 'description' => 'Samegua', 'province_id' => '1801'],
            ['id' => '180105', 'description' => 'San Cristóbal', 'province_id' => '1801'],
            ['id' => '180106', 'description' => 'Torata', 'province_id' => '1801'],
            ['id' => '180201', 'description' => 'Omate', 'province_id' => '1802'],
            ['id' => '180202', 'description' => 'Chojata', 'province_id' => '1802'],
            ['id' => '180203', 'description' => 'Coalaque', 'province_id' => '1802'],
            ['id' => '180204', 'description' => 'Ichuña', 'province_id' => '1802'],
            ['id' => '180205', 'description' => 'La Capilla', 'province_id' => '1802'],
            ['id' => '180206', 'description' => 'Lloque', 'province_id' => '1802'],
            ['id' => '180207', 'description' => 'Matalaque', 'province_id' => '1802'],
            ['id' => '180208', 'description' => 'Puquina', 'province_id' => '1802'],
            ['id' => '180209', 'description' => 'Quinistaquillas', 'province_id' => '1802'],
            ['id' => '180210', 'description' => 'Ubinas', 'province_id' => '1802'],
            ['id' => '180211', 'description' => 'Yunga', 'province_id' => '1802'],
            ['id' => '180301', 'description' => 'Ilo', 'province_id' => '1803'],
            ['id' => '180302', 'description' => 'El Algarrobal', 'province_id' => '1803'],
            ['id' => '180303', 'description' => 'Pacocha', 'province_id' => '1803'],
            ['id' => '190101', 'description' => 'Chaupimarca', 'province_id' => '1901'],
            ['id' => '190102', 'description' => 'Huachon', 'province_id' => '1901'],
            ['id' => '190103', 'description' => 'Huariaca', 'province_id' => '1901'],
            ['id' => '190104', 'description' => 'Huayllay', 'province_id' => '1901'],
            ['id' => '190105', 'description' => 'Ninacaca', 'province_id' => '1901'],
            ['id' => '190106', 'description' => 'Pallanchacra', 'province_id' => '1901'],
            ['id' => '190107', 'description' => 'Paucartambo', 'province_id' => '1901'],
            ['id' => '190108', 'description' => 'San Francisco de Asís de Yarusyacan', 'province_id' => '1901'],
            ['id' => '190109', 'description' => 'Simon Bolívar', 'province_id' => '1901'],
            ['id' => '190110', 'description' => 'Ticlacayan', 'province_id' => '1901'],
            ['id' => '190111', 'description' => 'Tinyahuarco', 'province_id' => '1901'],
            ['id' => '190112', 'description' => 'Vicco', 'province_id' => '1901'],
            ['id' => '190113', 'description' => 'Yanacancha', 'province_id' => '1901'],
            ['id' => '190201', 'description' => 'Yanahuanca', 'province_id' => '1902'],
            ['id' => '190202', 'description' => 'Chacayan', 'province_id' => '1902'],
            ['id' => '190203', 'description' => 'Goyllarisquizga', 'province_id' => '1902'],
            ['id' => '190204', 'description' => 'Paucar', 'province_id' => '1902'],
            ['id' => '190205', 'description' => 'San Pedro de Pillao', 'province_id' => '1902'],
            ['id' => '190206', 'description' => 'Santa Ana de Tusi', 'province_id' => '1902'],
            ['id' => '190207', 'description' => 'Tapuc', 'province_id' => '1902'],
            ['id' => '190208', 'description' => 'Vilcabamba', 'province_id' => '1902'],
            ['id' => '190301', 'description' => 'Oxapampa', 'province_id' => '1903'],
            ['id' => '190302', 'description' => 'Chontabamba', 'province_id' => '1903'],
            ['id' => '190303', 'description' => 'Huancabamba', 'province_id' => '1903'],
            ['id' => '190304', 'description' => 'Palcazu', 'province_id' => '1903'],
            ['id' => '190305', 'description' => 'Pozuzo', 'province_id' => '1903'],
            ['id' => '190306', 'description' => 'Puerto Bermúdez', 'province_id' => '1903'],
            ['id' => '190307', 'description' => 'Villa Rica', 'province_id' => '1903'],
            ['id' => '190308', 'description' => 'Constitución', 'province_id' => '1903'],
            ['id' => '200101', 'description' => 'Piura', 'province_id' => '2001'],
            ['id' => '200104', 'description' => 'Castilla', 'province_id' => '2001'],
            ['id' => '200105', 'description' => 'Catacaos', 'province_id' => '2001'],
            ['id' => '200107', 'description' => 'Cura Mori', 'province_id' => '2001'],
            ['id' => '200108', 'description' => 'El Tallan', 'province_id' => '2001'],
            ['id' => '200109', 'description' => 'La Arena', 'province_id' => '2001'],
            ['id' => '200110', 'description' => 'La Unión', 'province_id' => '2001'],
            ['id' => '200111', 'description' => 'Las Lomas', 'province_id' => '2001'],
            ['id' => '200114', 'description' => 'Tambo Grande', 'province_id' => '2001'],
            ['id' => '200115', 'description' => 'Veintiseis de Octubre', 'province_id' => '2001'],
            ['id' => '200201', 'description' => 'Ayabaca', 'province_id' => '2002'],
            ['id' => '200202', 'description' => 'Frias', 'province_id' => '2002'],
            ['id' => '200203', 'description' => 'Jilili', 'province_id' => '2002'],
            ['id' => '200204', 'description' => 'Lagunas', 'province_id' => '2002'],
            ['id' => '200205', 'description' => 'Montero', 'province_id' => '2002'],
            ['id' => '200206', 'description' => 'Pacaipampa', 'province_id' => '2002'],
            ['id' => '200207', 'description' => 'Paimas', 'province_id' => '2002'],
            ['id' => '200208', 'description' => 'Sapillica', 'province_id' => '2002'],
            ['id' => '200209', 'description' => 'Sicchez', 'province_id' => '2002'],
            ['id' => '200210', 'description' => 'Suyo', 'province_id' => '2002'],
            ['id' => '200301', 'description' => 'Huancabamba', 'province_id' => '2003'],
            ['id' => '200302', 'description' => 'Canchaque', 'province_id' => '2003'],
            ['id' => '200303', 'description' => 'El Carmen de la Frontera', 'province_id' => '2003'],
            ['id' => '200304', 'description' => 'Huarmaca', 'province_id' => '2003'],
            ['id' => '200305', 'description' => 'Lalaquiz', 'province_id' => '2003'],
            ['id' => '200306', 'description' => 'San Miguel de El Faique', 'province_id' => '2003'],
            ['id' => '200307', 'description' => 'Sondor', 'province_id' => '2003'],
            ['id' => '200308', 'description' => 'Sondorillo', 'province_id' => '2003'],
            ['id' => '200401', 'description' => 'Chulucanas', 'province_id' => '2004'],
            ['id' => '200402', 'description' => 'Buenos Aires', 'province_id' => '2004'],
            ['id' => '200403', 'description' => 'Chalaco', 'province_id' => '2004'],
            ['id' => '200404', 'description' => 'La Matanza', 'province_id' => '2004'],
            ['id' => '200405', 'description' => 'Morropon', 'province_id' => '2004'],
            ['id' => '200406', 'description' => 'Salitral', 'province_id' => '2004'],
            ['id' => '200407', 'description' => 'San Juan de Bigote', 'province_id' => '2004'],
            ['id' => '200408', 'description' => 'Santa Catalina de Mossa', 'province_id' => '2004'],
            ['id' => '200409', 'description' => 'Santo Domingo', 'province_id' => '2004'],
            ['id' => '200410', 'description' => 'YAMANGO', 'province_id' => '2004'],
            ['id' => '200501', 'description' => 'PAITA', 'province_id' => '2005'],
            ['id' => '200502', 'description' => 'AMOTAPE', 'province_id' => '2005'],
            ['id' => '200503', 'description' => 'ARENAL', 'province_id' => '2005'],
            ['id' => '200504', 'description' => 'COLAN', 'province_id' => '2005'],
            ['id' => '200505', 'description' => 'LA HUACA', 'province_id' => '2005'],
            ['id' => '200506', 'description' => 'Tamarindo', 'province_id' => '2005'],
            ['id' => '200507', 'description' => 'Vichayal', 'province_id' => '2005'],
            ['id' => '200601', 'description' => 'SULLANA', 'province_id' => '2006'],
            ['id' => '200602', 'description' => 'Bellavista', 'province_id' => '2006'],
            ['id' => '200603', 'description' => 'Ignacio Escudero', 'province_id' => '2006'],
            ['id' => '200604', 'description' => 'Lancones', 'province_id' => '2006'],
            ['id' => '200605', 'description' => 'Marcavelica', 'province_id' => '2006'],
            ['id' => '200606', 'description' => 'Miguel Checa', 'province_id' => '2006'],
            ['id' => '200607', 'description' => 'Querecotillo', 'province_id' => '2006'],
            ['id' => '200608', 'description' => 'Salitral', 'province_id' => '2006'],
            ['id' => '200701', 'description' => 'PARIÑAS', 'province_id' => '2007'],
            ['id' => '200702', 'description' => 'EL ALTO', 'province_id' => '2007'],
            ['id' => '200703', 'description' => 'LA BREA', 'province_id' => '2007'],
            ['id' => '200704', 'description' => 'LOBITOS', 'province_id' => '2007'],
            ['id' => '200705', 'description' => 'Los Organos', 'province_id' => '2007'],
            ['id' => '200706', 'description' => 'MANCORA', 'province_id' => '2007'],
            ['id' => '200801', 'description' => 'SECHURA', 'province_id' => '2008'],
            ['id' => '200802', 'description' => 'Bellavista de la Unión', 'province_id' => '2008'],
            ['id' => '200803', 'description' => 'BERNAL', 'province_id' => '2008'],
            ['id' => '200804', 'description' => 'Cristo Nos Valga', 'province_id' => '2008'],
            ['id' => '200805', 'description' => 'Vice', 'province_id' => '2008'],
            ['id' => '200806', 'description' => 'Rinconada Llicuar', 'province_id' => '2008'],
            ['id' => '210101', 'description' => 'Puno', 'province_id' => '2101'],
            ['id' => '210102', 'description' => 'Acora', 'province_id' => '2101'],
            ['id' => '210103', 'description' => 'Amantani', 'province_id' => '2101'],
            ['id' => '210104', 'description' => 'Atuncolla', 'province_id' => '2101'],
            ['id' => '210105', 'description' => 'Capachica', 'province_id' => '2101'],
            ['id' => '210106', 'description' => 'Chucuito', 'province_id' => '2101'],
            ['id' => '210107', 'description' => 'Coata', 'province_id' => '2101'],
            ['id' => '210108', 'description' => 'Huata', 'province_id' => '2101'],
            ['id' => '210109', 'description' => 'Mañazo', 'province_id' => '2101'],
            ['id' => '210110', 'description' => 'Paucarcolla', 'province_id' => '2101'],
            ['id' => '210111', 'description' => 'Pichacani', 'province_id' => '2101'],
            ['id' => '210112', 'description' => 'Plateria', 'province_id' => '2101'],
            ['id' => '210113', 'description' => 'San Antonio', 'province_id' => '2101'],
            ['id' => '210114', 'description' => 'Tiquillaca', 'province_id' => '2101'],
            ['id' => '210115', 'description' => 'Vilque', 'province_id' => '2101'],
            ['id' => '210201', 'description' => 'Azángaro', 'province_id' => '2102'],
            ['id' => '210202', 'description' => 'Achaya', 'province_id' => '2102'],
            ['id' => '210203', 'description' => 'Arapa', 'province_id' => '2102'],
            ['id' => '210204', 'description' => 'Asillo', 'province_id' => '2102'],
            ['id' => '210205', 'description' => 'Caminaca', 'province_id' => '2102'],
            ['id' => '210206', 'description' => 'Chupa', 'province_id' => '2102'],
            ['id' => '210207', 'description' => 'José Domingo Choquehuanca', 'province_id' => '2102'],
            ['id' => '210208', 'description' => 'Muñani', 'province_id' => '2102'],
            ['id' => '210209', 'description' => 'Potoni', 'province_id' => '2102'],
            ['id' => '210210', 'description' => 'Saman', 'province_id' => '2102'],
            ['id' => '210211', 'description' => 'San Anton', 'province_id' => '2102'],
            ['id' => '210212', 'description' => 'San José', 'province_id' => '2102'],
            ['id' => '210213', 'description' => 'San Juan de Salinas', 'province_id' => '2102'],
            ['id' => '210214', 'description' => 'Santiago de Pupuja', 'province_id' => '2102'],
            ['id' => '210215', 'description' => 'Tirapata', 'province_id' => '2102'],
            ['id' => '210301', 'description' => 'Macusani', 'province_id' => '2103'],
            ['id' => '210302', 'description' => 'Ajoyani', 'province_id' => '2103'],
            ['id' => '210303', 'description' => 'Ayapata', 'province_id' => '2103'],
            ['id' => '210304', 'description' => 'Coasa', 'province_id' => '2103'],
            ['id' => '210305', 'description' => 'Corani', 'province_id' => '2103'],
            ['id' => '210306', 'description' => 'Crucero', 'province_id' => '2103'],
            ['id' => '210307', 'description' => 'Ituata', 'province_id' => '2103'],
            ['id' => '210308', 'description' => 'Ollachea', 'province_id' => '2103'],
            ['id' => '210309', 'description' => 'San Gaban', 'province_id' => '2103'],
            ['id' => '210310', 'description' => 'Usicayos', 'province_id' => '2103'],
            ['id' => '210401', 'description' => 'Juli', 'province_id' => '2104'],
            ['id' => '210402', 'description' => 'Desaguadero', 'province_id' => '2104'],
            ['id' => '210403', 'description' => 'Huacullani', 'province_id' => '2104'],
            ['id' => '210404', 'description' => 'Kelluyo', 'province_id' => '2104'],
            ['id' => '210405', 'description' => 'Pisacoma', 'province_id' => '2104'],
            ['id' => '210406', 'description' => 'Pomata', 'province_id' => '2104'],
            ['id' => '210407', 'description' => 'Zepita', 'province_id' => '2104'],
            ['id' => '210501', 'description' => 'Ilave', 'province_id' => '2105'],
            ['id' => '210502', 'description' => 'Capazo', 'province_id' => '2105'],
            ['id' => '210503', 'description' => 'Pilcuyo', 'province_id' => '2105'],
            ['id' => '210504', 'description' => 'Santa Rosa', 'province_id' => '2105'],
            ['id' => '210505', 'description' => 'Conduriri', 'province_id' => '2105'],
            ['id' => '210601', 'description' => 'Huancane', 'province_id' => '2106'],
            ['id' => '210602', 'description' => 'Cojata', 'province_id' => '2106'],
            ['id' => '210603', 'description' => 'Huatasani', 'province_id' => '2106'],
            ['id' => '210604', 'description' => 'Inchupalla', 'province_id' => '2106'],
            ['id' => '210605', 'description' => 'Pusi', 'province_id' => '2106'],
            ['id' => '210606', 'description' => 'Rosaspata', 'province_id' => '2106'],
            ['id' => '210607', 'description' => 'Taraco', 'province_id' => '2106'],
            ['id' => '210608', 'description' => 'Vilque Chico', 'province_id' => '2106'],
            ['id' => '210701', 'description' => 'Lampa', 'province_id' => '2107'],
            ['id' => '210702', 'description' => 'Cabanilla', 'province_id' => '2107'],
            ['id' => '210703', 'description' => 'Calapuja', 'province_id' => '2107'],
            ['id' => '210704', 'description' => 'Nicasio', 'province_id' => '2107'],
            ['id' => '210705', 'description' => 'Ocuviri', 'province_id' => '2107'],
            ['id' => '210706', 'description' => 'Palca', 'province_id' => '2107'],
            ['id' => '210707', 'description' => 'Paratia', 'province_id' => '2107'],
            ['id' => '210708', 'description' => 'Pucara', 'province_id' => '2107'],
            ['id' => '210709', 'description' => 'Santa Lucia', 'province_id' => '2107'],
            ['id' => '210710', 'description' => 'Vilavila', 'province_id' => '2107'],
            ['id' => '210801', 'description' => 'Ayaviri', 'province_id' => '2108'],
            ['id' => '210802', 'description' => 'Antauta', 'province_id' => '2108'],
            ['id' => '210803', 'description' => 'Cupi', 'province_id' => '2108'],
            ['id' => '210804', 'description' => 'Llalli', 'province_id' => '2108'],
            ['id' => '210805', 'description' => 'Macari', 'province_id' => '2108'],
            ['id' => '210806', 'description' => 'Nuñoa', 'province_id' => '2108'],
            ['id' => '210807', 'description' => 'Orurillo', 'province_id' => '2108'],
            ['id' => '210808', 'description' => 'Santa Rosa', 'province_id' => '2108'],
            ['id' => '210809', 'description' => 'Umachiri', 'province_id' => '2108'],
            ['id' => '210901', 'description' => 'Moho', 'province_id' => '2109'],
            ['id' => '210902', 'description' => 'Conima', 'province_id' => '2109'],
            ['id' => '210903', 'description' => 'Huayrapata', 'province_id' => '2109'],
            ['id' => '210904', 'description' => 'Tilali', 'province_id' => '2109'],
            ['id' => '211001', 'description' => 'Putina', 'province_id' => '2110'],
            ['id' => '211002', 'description' => 'Ananea', 'province_id' => '2110'],
            ['id' => '211003', 'description' => 'Pedro Vilca Apaza', 'province_id' => '2110'],
            ['id' => '211004', 'description' => 'Quilcapuncu', 'province_id' => '2110'],
            ['id' => '211005', 'description' => 'Sina', 'province_id' => '2110'],
            ['id' => '211101', 'description' => 'Juliaca', 'province_id' => '2111'],
            ['id' => '211102', 'description' => 'Cabana', 'province_id' => '2111'],
            ['id' => '211103', 'description' => 'Cabanillas', 'province_id' => '2111'],
            ['id' => '211104', 'description' => 'Caracoto', 'province_id' => '2111'],
            ['id' => '211105', 'description' => 'San Miguel', 'province_id' => '2111'],
            ['id' => '211201', 'description' => 'Sandia', 'province_id' => '2112'],
            ['id' => '211202', 'description' => 'Cuyocuyo', 'province_id' => '2112'],
            ['id' => '211203', 'description' => 'Limbani', 'province_id' => '2112'],
            ['id' => '211204', 'description' => 'Patambuco', 'province_id' => '2112'],
            ['id' => '211205', 'description' => 'Phara', 'province_id' => '2112'],
            ['id' => '211206', 'description' => 'Quiaca', 'province_id' => '2112'],
            ['id' => '211207', 'description' => 'San Juan del Oro', 'province_id' => '2112'],
            ['id' => '211208', 'description' => 'Yanahuaya', 'province_id' => '2112'],
            ['id' => '211209', 'description' => 'Alto Inambari', 'province_id' => '2112'],
            ['id' => '211210', 'description' => 'San Pedro de Putina Punco', 'province_id' => '2112'],
            ['id' => '211301', 'description' => 'Yunguyo', 'province_id' => '2113'],
            ['id' => '211302', 'description' => 'Anapia', 'province_id' => '2113'],
            ['id' => '211303', 'description' => 'Copani', 'province_id' => '2113'],
            ['id' => '211304', 'description' => 'Cuturapi', 'province_id' => '2113'],
            ['id' => '211305', 'description' => 'Ollaraya', 'province_id' => '2113'],
            ['id' => '211306', 'description' => 'Tinicachi', 'province_id' => '2113'],
            ['id' => '211307', 'description' => 'Unicachi', 'province_id' => '2113'],
            ['id' => '220101', 'description' => 'Moyobamba', 'province_id' => '2201'],
            ['id' => '220102', 'description' => 'Calzada', 'province_id' => '2201'],
            ['id' => '220103', 'description' => 'Habana', 'province_id' => '2201'],
            ['id' => '220104', 'description' => 'Jepelacio', 'province_id' => '2201'],
            ['id' => '220105', 'description' => 'Soritor', 'province_id' => '2201'],
            ['id' => '220106', 'description' => 'Yantalo', 'province_id' => '2201'],
            ['id' => '220201', 'description' => 'Bellavista', 'province_id' => '2202'],
            ['id' => '220202', 'description' => 'Alto Biavo', 'province_id' => '2202'],
            ['id' => '220203', 'description' => 'Bajo Biavo', 'province_id' => '2202'],
            ['id' => '220204', 'description' => 'Huallaga', 'province_id' => '2202'],
            ['id' => '220205', 'description' => 'San Pablo', 'province_id' => '2202'],
            ['id' => '220206', 'description' => 'San Rafael', 'province_id' => '2202'],
            ['id' => '220301', 'description' => 'San José de Sisa', 'province_id' => '2203'],
            ['id' => '220302', 'description' => 'Agua Blanca', 'province_id' => '2203'],
            ['id' => '220303', 'description' => 'San Martín', 'province_id' => '2203'],
            ['id' => '220304', 'description' => 'Santa Rosa', 'province_id' => '2203'],
            ['id' => '220305', 'description' => 'Shatoja', 'province_id' => '2203'],
            ['id' => '220401', 'description' => 'Saposoa', 'province_id' => '2204'],
            ['id' => '220402', 'description' => 'Alto Saposoa', 'province_id' => '2204'],
            ['id' => '220403', 'description' => 'El Eslabón', 'province_id' => '2204'],
            ['id' => '220404', 'description' => 'Piscoyacu', 'province_id' => '2204'],
            ['id' => '220405', 'description' => 'Sacanche', 'province_id' => '2204'],
            ['id' => '220406', 'description' => 'Tingo de Saposoa', 'province_id' => '2204'],
            ['id' => '220501', 'description' => 'Lamas', 'province_id' => '2205'],
            ['id' => '220502', 'description' => 'Alonso de Alvarado', 'province_id' => '2205'],
            ['id' => '220503', 'description' => 'Barranquita', 'province_id' => '2205'],
            ['id' => '220504', 'description' => 'Caynarachi', 'province_id' => '2205'],
            ['id' => '220505', 'description' => 'Cuñumbuqui', 'province_id' => '2205'],
            ['id' => '220506', 'description' => 'Pinto Recodo', 'province_id' => '2205'],
            ['id' => '220507', 'description' => 'Rumisapa', 'province_id' => '2205'],
            ['id' => '220508', 'description' => 'San Roque de Cumbaza', 'province_id' => '2205'],
            ['id' => '220509', 'description' => 'Shanao', 'province_id' => '2205'],
            ['id' => '220510', 'description' => 'Tabalosos', 'province_id' => '2205'],
            ['id' => '220511', 'description' => 'Zapatero', 'province_id' => '2205'],
            ['id' => '220601', 'description' => 'Juanjuí', 'province_id' => '2206'],
            ['id' => '220602', 'description' => 'Campanilla', 'province_id' => '2206'],
            ['id' => '220603', 'description' => 'Huicungo', 'province_id' => '2206'],
            ['id' => '220604', 'description' => 'Pachiza', 'province_id' => '2206'],
            ['id' => '220605', 'description' => 'Pajarillo', 'province_id' => '2206'],
            ['id' => '220701', 'description' => 'Picota', 'province_id' => '2207'],
            ['id' => '220702', 'description' => 'Buenos Aires', 'province_id' => '2207'],
            ['id' => '220703', 'description' => 'Caspisapa', 'province_id' => '2207'],
            ['id' => '220704', 'description' => 'Pilluana', 'province_id' => '2207'],
            ['id' => '220705', 'description' => 'Pucacaca', 'province_id' => '2207'],
            ['id' => '220706', 'description' => 'San Cristóbal', 'province_id' => '2207'],
            ['id' => '220707', 'description' => 'San Hilarión', 'province_id' => '2207'],
            ['id' => '220708', 'description' => 'Shamboyacu', 'province_id' => '2207'],
            ['id' => '220709', 'description' => 'Tingo de Ponasa', 'province_id' => '2207'],
            ['id' => '220710', 'description' => 'Tres Unidos', 'province_id' => '2207'],
            ['id' => '220801', 'description' => 'Rioja', 'province_id' => '2208'],
            ['id' => '220802', 'description' => 'Awajun', 'province_id' => '2208'],
            ['id' => '220803', 'description' => 'Elías Soplin Vargas', 'province_id' => '2208'],
            ['id' => '220804', 'description' => 'Nueva Cajamarca', 'province_id' => '2208'],
            ['id' => '220805', 'description' => 'Pardo Miguel', 'province_id' => '2208'],
            ['id' => '220806', 'description' => 'Posic', 'province_id' => '2208'],
            ['id' => '220807', 'description' => 'San Fernando', 'province_id' => '2208'],
            ['id' => '220808', 'description' => 'Yorongos', 'province_id' => '2208'],
            ['id' => '220809', 'description' => 'Yuracyacu', 'province_id' => '2208'],
            ['id' => '220901', 'description' => 'Tarapoto', 'province_id' => '2209'],
            ['id' => '220902', 'description' => 'Alberto Leveau', 'province_id' => '2209'],
            ['id' => '220903', 'description' => 'Cacatachi', 'province_id' => '2209'],
            ['id' => '220904', 'description' => 'Chazuta', 'province_id' => '2209'],
            ['id' => '220905', 'description' => 'Chipurana', 'province_id' => '2209'],
            ['id' => '220906', 'description' => 'El Porvenir', 'province_id' => '2209'],
            ['id' => '220907', 'description' => 'Huimbayoc', 'province_id' => '2209'],
            ['id' => '220908', 'description' => 'Juan Guerra', 'province_id' => '2209'],
            ['id' => '220909', 'description' => 'La Banda de Shilcayo', 'province_id' => '2209'],
            ['id' => '220910', 'description' => 'Morales', 'province_id' => '2209'],
            ['id' => '220911', 'description' => 'Papaplaya', 'province_id' => '2209'],
            ['id' => '220912', 'description' => 'San Antonio', 'province_id' => '2209'],
            ['id' => '220913', 'description' => 'Sauce', 'province_id' => '2209'],
            ['id' => '220914', 'description' => 'Shapaja', 'province_id' => '2209'],
            ['id' => '221001', 'description' => 'Tocache', 'province_id' => '2210'],
            ['id' => '221002', 'description' => 'Nuevo Progreso', 'province_id' => '2210'],
            ['id' => '221003', 'description' => 'Polvora', 'province_id' => '2210'],
            ['id' => '221004', 'description' => 'Shunte', 'province_id' => '2210'],
            ['id' => '221005', 'description' => 'Uchiza', 'province_id' => '2210'],
            ['id' => '230101', 'description' => 'Tacna', 'province_id' => '2301'],
            ['id' => '230102', 'description' => 'Alto de la Alianza', 'province_id' => '2301'],
            ['id' => '230103', 'description' => 'Calana', 'province_id' => '2301'],
            ['id' => '230104', 'description' => 'Ciudad Nueva', 'province_id' => '2301'],
            ['id' => '230105', 'description' => 'Inclan', 'province_id' => '2301'],
            ['id' => '230106', 'description' => 'Pachia', 'province_id' => '2301'],
            ['id' => '230107', 'description' => 'Palca', 'province_id' => '2301'],
            ['id' => '230108', 'description' => 'Pocollay', 'province_id' => '2301'],
            ['id' => '230109', 'description' => 'Sama', 'province_id' => '2301'],
            ['id' => '230110', 'description' => 'Coronel Gregorio Albarracín Lanchipa', 'province_id' => '2301'],
            ['id' => '230111', 'description' => 'La Yarada los Palos', 'province_id' => '2301'],
            ['id' => '230201', 'description' => 'Candarave', 'province_id' => '2302'],
            ['id' => '230202', 'description' => 'Cairani', 'province_id' => '2302'],
            ['id' => '230203', 'description' => 'Camilaca', 'province_id' => '2302'],
            ['id' => '230204', 'description' => 'Curibaya', 'province_id' => '2302'],
            ['id' => '230205', 'description' => 'Huanuara', 'province_id' => '2302'],
            ['id' => '230206', 'description' => 'Quilahuani', 'province_id' => '2302'],
            ['id' => '230301', 'description' => 'Locumba', 'province_id' => '2303'],
            ['id' => '230302', 'description' => 'Ilabaya', 'province_id' => '2303'],
            ['id' => '230303', 'description' => 'Ite', 'province_id' => '2303'],
            ['id' => '230401', 'description' => 'Tarata', 'province_id' => '2304'],
            ['id' => '230402', 'description' => 'Héroes Albarracín', 'province_id' => '2304'],
            ['id' => '230403', 'description' => 'Estique', 'province_id' => '2304'],
            ['id' => '230404', 'description' => 'Estique-Pampa', 'province_id' => '2304'],
            ['id' => '230405', 'description' => 'Sitajara', 'province_id' => '2304'],
            ['id' => '230406', 'description' => 'Susapaya', 'province_id' => '2304'],
            ['id' => '230407', 'description' => 'Tarucachi', 'province_id' => '2304'],
            ['id' => '230408', 'description' => 'Ticaco', 'province_id' => '2304'],
            ['id' => '240101', 'description' => 'Tumbes', 'province_id' => '2401'],
            ['id' => '240102', 'description' => 'Corrales', 'province_id' => '2401'],
            ['id' => '240103', 'description' => 'La Cruz', 'province_id' => '2401'],
            ['id' => '240104', 'description' => 'Pampas de Hospital', 'province_id' => '2401'],
            ['id' => '240105', 'description' => 'San Jacinto', 'province_id' => '2401'],
            ['id' => '240106', 'description' => 'San Juan de la Virgen', 'province_id' => '2401'],
            ['id' => '240201', 'description' => 'Zorritos', 'province_id' => '2402'],
            ['id' => '240202', 'description' => 'Casitas', 'province_id' => '2402'],
            ['id' => '240203', 'description' => 'Canoas de Punta Sal', 'province_id' => '2402'],
            ['id' => '240301', 'description' => 'Zarumilla', 'province_id' => '2403'],
            ['id' => '240302', 'description' => 'Aguas Verdes', 'province_id' => '2403'],
            ['id' => '240303', 'description' => 'Matapalo', 'province_id' => '2403'],
            ['id' => '240304', 'description' => 'Papayal', 'province_id' => '2403'],
            ['id' => '250101', 'description' => 'Calleria', 'province_id' => '2501'],
            ['id' => '250102', 'description' => 'Campoverde', 'province_id' => '2501'],
            ['id' => '250103', 'description' => 'Iparia', 'province_id' => '2501'],
            ['id' => '250104', 'description' => 'Masisea', 'province_id' => '2501'],
            ['id' => '250105', 'description' => 'Yarinacocha', 'province_id' => '2501'],
            ['id' => '250106', 'description' => 'Nueva Requena', 'province_id' => '2501'],
            ['id' => '250107', 'description' => 'Manantay', 'province_id' => '2501'],
            ['id' => '250201', 'description' => 'Raymondi', 'province_id' => '2502'],
            ['id' => '250202', 'description' => 'Sepahua', 'province_id' => '2502'],
            ['id' => '250203', 'description' => 'Tahuania', 'province_id' => '2502'],
            ['id' => '250204', 'description' => 'Yurua', 'province_id' => '2502'],
            ['id' => '250301', 'description' => 'Padre Abad', 'province_id' => '2503'],
            ['id' => '250302', 'description' => 'Irazola', 'province_id' => '2503'],
            ['id' => '250303', 'description' => 'Curimana', 'province_id' => '2503'],
            ['id' => '250304', 'description' => 'Neshuya', 'province_id' => '2503'],
            ['id' => '250305', 'description' => 'Alexander Von Humboldt', 'province_id' => '2503'],
            ['id' => '250401', 'description' => 'Purus', 'province_id' => '2504'],
        ]);
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
         
    }
}
